2005-04-14 00:08  larsa

	* build/: msvc6/include/config-debug.h,
	msvc6/include/config-release.h, msvc6/include/Inventor/C/basic.h,
	msvc7/include/config-debug.h, msvc7/include/config-release.h,
	msvc7/include/Inventor/C/basic.h:
	
	regenerated build files

2005-04-14 00:05  larsa

	* configure.ac:
	
	version number update

2005-04-14 00:04  larsa

	* NEWS, README, README.WIN32, RELNOTES,
	docs/announcement-2_4_0.txt:
	
	doc updates

2005-04-13 17:44  larsa

	* src/elements/SoShapeStyleElement.cpp:
	
	typo fix

2005-04-13 17:41  pederb

	* src/elements/SoCullElement.cpp:
	
	More doc.

2005-04-13 16:31  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, installcoinheaders.bat:
	
	remove stubs

2005-04-13 15:11  larsa

	* Makefile.am, docs/ChangeLog.v2.4.0, docs/announcement-2_4_0.txt:
	
	stub files for distribution

2005-04-13 15:03  larsa

	* build/msvc6/: coin2.dsp, installcoinheaders.bat:
	
	remove stubs

2005-04-13 14:31  larsa

	* configure.ac:
	
	remove stubs

2005-04-13 14:17  larsa

	* Makefile.am:
	
	dist fix

2005-04-13 14:16  larsa

	* src/Makefile.am, src/hardcopy/HardCopy.cpp,
	src/hardcopy/Makefile.am, src/nodes/Makefile.am,
	src/nodes/SoNode.cpp, include/Inventor/Makefile.am,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	src/nodes/all-nodes-cpp.cpp,
	include/Inventor/annex/HardCopy/Makefile.am,
	include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/SoNodes.h:
	
	remove stubs

2005-04-13 14:13  larsa

	* src/fonts/: Makefile.am, builtin2dfonts.c, builtin2dfonts.ic,
	builtin2dfonts.sh, default2dfont.c, font13.cpp, font13.ic,
	font13.sh, font17.cpp, font17.ic, font17.sh, font25.cpp, font25.ic,
	font25.sh, font33.cpp, font33.ic, font33.sh:
	
	cleanup

2005-04-12 15:42  pederb

	* src/vrml97/: IndexedFaceSet.cpp, IndexedLineSet.cpp,
	PointSet.cpp:
	
	Bugfix. Make vertex array and vbo rendering work properly with
	vrml97 shape nodes.

2005-04-11 17:46  pederb

	* src/shapenodes/SoFaceSet.cpp:
	
	Fix OVERALL normal binding bug in generatePrimitives(). Reported by
	Daniel Wagner.

2005-04-11 15:28  pederb

	* src/: elements/SoMultiTextureCoordinateElement.cpp,
	elements/SoTextureCoordinateElement.cpp,
	nodes/SoTextureCoordinateEnvironment.cpp:
	
	SoTextureCoordinateEnvironment bumpmap bugfix. Bug reported by
	Niklas Worschech.

2005-04-11 13:56  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Fix multi-texture bug. Reported by Niklas Worschech.

2005-04-08 16:50  larsa

	* src/: fonts/default2dfont.c, fonts/defaultfonts.h,
	fonts/fontlib_wrapper.c, fonts/fontlib_wrapper.h, fonts/glyph2d.c,
	misc/SoGlyph.cpp:
	
	switch from fixed to fontsize-sensitive default 2d font

2005-04-08 16:40  larsa

	* src/fonts/builtin2dfonts.c:
	
	wrapper to include builtin fonts

2005-04-08 16:39  larsa

	* src/fonts/extractfont.cpp:
	
	utility for extracting font data from images

2005-04-08 16:38  larsa

	* src/fonts/: font13.cpp, font13.sh, font13.tif, font17.cpp,
	font17.sh, font17.tif, font25.cpp, font25.sh, font25.tif,
	font33.cpp, font33.sh, font33.tif:
	
	font data

2005-04-08 10:45  mortene

	* src/nodes/SoLocateHighlight.cpp:
	
	Minor doc updates and codestyle fixes.

2005-04-07 15:23  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	- Use SbMin instead of fminf

2005-04-07 14:35  larsa

	* build/msvc7/.cvsignore:
	
	tweak

2005-04-07 14:31  larsa

	* build/msvc6/: coin2.dsp, config-wrapper.h, generate.sh,
	include/config-debug.h, include/config-release.h, include/config.h:
	
	update

2005-04-07 14:08  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, config-wrapper.h,
	generate.sh:
	
	updates

2005-04-07 13:57  larsa

	* build/msvc7/include/: config-debug.h, config-release.h, config.h:
	
	separate config.h for debug and release builds

2005-04-07 11:20  thammer

	* src/vrml97/AudioClip.cpp:
	
	Bugfix: Don't do an infinite loop if no file could be opened.

2005-04-06 18:27  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	Calculate ambientIntensity with referanse to white instead of
	diffuse intensity.  Also clamp at 1.0 (although this should never
	be necessary).

2005-04-06 12:41  pederb

	* RELNOTES:
	
	Sensor processing item.

2005-04-06 12:39  pederb

	* src/sensors/SoSensorManager.cpp:
	
	Conformance fix. Sensors with equal priority or trigger time should
	be processed FIFO, not LIFO.

2005-04-06 12:23  larsa

	* src/base/: SbDPMatrix.cpp, SbMatrix.cpp:
	
	ifdef fix

2005-04-05 12:33  mortene

	* src/misc/SoPath.cpp:
	
	Debug: better information when attempting to do bogus operations.

2005-04-01 15:42  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	- Add a fallback which converts unknown geometry to a
	IndexedFaceSet

2005-03-31 16:37  larsa

	* src/shapenodes/soshape_bigtexture.cpp:
	
	unused variable

2005-03-31 15:59  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, installcoinheaders.bat,
	data/draggerDefaults/centerballDragger.h,
	data/draggerDefaults/directionalLightDragger.h,
	data/draggerDefaults/dragPointDragger.h,
	data/draggerDefaults/handleBoxDragger.h,
	data/draggerDefaults/jackDragger.h,
	data/draggerDefaults/pointLightDragger.h,
	data/draggerDefaults/rotateCylindricalDragger.h,
	data/draggerDefaults/rotateDiscDragger.h,
	data/draggerDefaults/rotateSphericalDragger.h,
	data/draggerDefaults/scale1Dragger.h,
	data/draggerDefaults/scale2Dragger.h,
	data/draggerDefaults/scale2UniformDragger.h,
	data/draggerDefaults/scaleUniformDragger.h,
	data/draggerDefaults/spotLightDragger.h,
	data/draggerDefaults/tabBoxDragger.h,
	data/draggerDefaults/tabPlaneDragger.h,
	data/draggerDefaults/trackballDragger.h,
	data/draggerDefaults/transformBoxDragger.h,
	data/draggerDefaults/transformerDragger.h,
	data/draggerDefaults/translate1Dragger.h,
	data/draggerDefaults/translate2Dragger.h, include/config.h,
	include/Inventor/C/basic.h, include/Inventor/system/gl.h:
	
	autogenerated files

2005-03-31 15:59  larsa

	* build/msvc7/: coin2.dsp, coin2.dsw:
	
	not needed for this setup

2005-03-31 15:58  larsa

	* build/msvc7/generate.sh:
	
	updates/fixes

2005-03-31 15:32  larsa

	* build/msvc6/: coin2.dsp, installcoinheaders.bat,
	data/draggerDefaults/centerballDragger.h,
	data/draggerDefaults/directionalLightDragger.h,
	data/draggerDefaults/dragPointDragger.h,
	data/draggerDefaults/handleBoxDragger.h,
	data/draggerDefaults/jackDragger.h,
	data/draggerDefaults/pointLightDragger.h,
	data/draggerDefaults/rotateCylindricalDragger.h,
	data/draggerDefaults/rotateDiscDragger.h,
	data/draggerDefaults/rotateSphericalDragger.h,
	data/draggerDefaults/scale1Dragger.h,
	data/draggerDefaults/scale2Dragger.h,
	data/draggerDefaults/scale2UniformDragger.h,
	data/draggerDefaults/scaleUniformDragger.h,
	data/draggerDefaults/spotLightDragger.h,
	data/draggerDefaults/tabBoxDragger.h,
	data/draggerDefaults/tabPlaneDragger.h,
	data/draggerDefaults/trackballDragger.h,
	data/draggerDefaults/transformBoxDragger.h,
	data/draggerDefaults/transformerDragger.h,
	data/draggerDefaults/translate1Dragger.h,
	data/draggerDefaults/translate2Dragger.h, include/config.h,
	include/Inventor/C/basic.h, include/Inventor/system/gl.h:
	
	autogenerated files

2005-03-31 15:32  larsa

	* build/msvc6/generate.sh:
	
	additional fix

2005-03-31 14:02  larsa

	* build/msvc6/generate.sh:
	
	updates/fixes

2005-03-31 12:28  thammer

	* src/vrml97/AudioClip.cpp:
	
	Added doc about file formats and simage.

2005-03-30 18:48  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Prevent render-caching from messing up the tile-rendering.

2005-03-18 16:20  larsa

	* configure.ac, src/io/SoInput_Reader.cpp:
	
	limit compressed-file support to regular files

2005-03-15 21:08  kyrah

	* configure.ac, src/Makefile.am:
	
	Cosmetisc: It's cleaner and more consistent to add the
	-no-undefined libtool flag in Makefile.am.

2005-03-15 13:39  larsa

	* src/shapenodes/SoMarkerSet.cpp:
	
	clarify example

2005-03-15 13:24  mortene

	* docs/coin.doxygen.in:
	
	Activate the config.h defines (or stuff will erroneously not be
	included in the doc).

2005-03-15 12:59  mortene

	* src/nodes/SoWWWInline.cpp:
	
	FIXME note.

2005-03-14 23:52  kyrah

	* configure.ac:
	
	Fixed typo in comment.

2005-03-14 23:41  kyrah

	* THANKS:
	
	Added Peter O'Gorman, for enlightenment regarding the libtool/Mac
	confusion.

2005-03-14 23:34  kyrah

	* configure.ac:
	
	Libtool 1.5.14 fix: Specifically disallow undefined symbols, which
	allows us to build a two-level namespace shared library.

2005-03-14 16:39  kristian

	* src/base/SbDict.cpp:
	
	Update doc:  - Initial value does not need to be prime	- Copy
	constructor makes a shallow, not deep copy

2005-03-14 14:38  larsa

	* configure.ac:
	
	bugfix

2005-03-14 11:30  mortene

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:
	
	Compatibility: rename function name cleanup() to finish(), to match
	TGS Inventor API.

2005-03-14 06:13  kyrah

	* configure.ac:
	
	Reverse previous patch, this is of course bogus.

2005-03-14 05:51  kyrah

	* configure.ac:
	
	Critical build fix for libtool 1.5.

2005-03-11 14:26  kristian

	* src/: 3ds/SoStream.cpp, vrml97/DirectionalLight.cpp:
	
	Comment out token after #endif to make gcc happy

2005-03-11 10:47  pederb

	* src/caches/SoGLCacheList.cpp:
	
	Always create a cache if caching is set to ON, even if it has been
	invalidated frequently. Bug reported by Kristian Eide.

2005-03-10 17:08  pederb

	* src/fields/SoSFImage.cpp:
	
	Bugfix. SoSFImage::getValue() did not evaluate field before
	returning value. Reported by Gerhard Reitmayr.

2005-03-10 14:37  larsa

	* configure.ac:
	
	drop AM_CONDITIONALs

2005-03-10 14:25  larsa

	* src/base/Makefile.am:
	
	remove reduntant stuff

2005-03-10 14:15  larsa

	* src/Makefile.am:
	
	prepare for AM_CONDITIONAL-remove

2005-03-10 14:12  larsa

	* src/: vrml97/Anchor.cpp, vrml97/Appearance.cpp,
	vrml97/AudioClip.cpp, vrml97/Background.cpp, vrml97/Billboard.cpp,
	vrml97/Box.cpp, vrml97/Collision.cpp, vrml97/Color.cpp,
	vrml97/ColorInterpolator.cpp, vrml97/Cone.cpp,
	vrml97/Coordinate.cpp, vrml97/CoordinateInterpolator.cpp,
	vrml97/Cylinder.cpp, vrml97/CylinderSensor.cpp,
	vrml97/DirectionalLight.cpp, vrml97/DragSensor.cpp,
	vrml97/ElevationGrid.cpp, vrml97/Extrusion.cpp, vrml97/Fog.cpp,
	vrml97/FontStyle.cpp, vrml97/Geometry.cpp, vrml97/Group.cpp,
	vrml97/ImageTexture.cpp, vrml97/IndexedFaceSet.cpp,
	vrml97/IndexedLine.cpp, vrml97/IndexedLineSet.cpp,
	vrml97/IndexedShape.cpp, vrml97/Init.cpp, vrml97/Inline.cpp,
	vrml97/Interpolator.cpp, vrml97/LOD.cpp, vrml97/Light.cpp,
	vrml97/Material.cpp, vrml97/MovieTexture.cpp,
	vrml97/NavigationInfo.cpp, vrml97/Normal.cpp,
	vrml97/NormalInterpolator.cpp, vrml97/OrientationInterpolator.cpp,
	vrml97/Parent.cpp, vrml97/PixelTexture.cpp, vrml97/PlaneSensor.cpp,
	vrml97/PointLight.cpp, vrml97/PointSet.cpp,
	vrml97/PositionInterpolator.cpp, vrml97/ProximitySensor.cpp,
	vrml97/ScalarInterpolator.cpp, vrml97/Script.cpp,
	vrml97/Sensor.cpp, vrml97/Shape.cpp, vrml97/Sound.cpp,
	vrml97/Sphere.cpp, vrml97/SphereSensor.cpp, vrml97/SpotLight.cpp,
	vrml97/Switch.cpp, vrml97/Text.cpp, vrml97/Texture.cpp,
	vrml97/TextureCoordinate.cpp, vrml97/TextureTransform.cpp,
	vrml97/TimeSensor.cpp, vrml97/TouchSensor.cpp,
	vrml97/Transform.cpp, vrml97/VertexLine.cpp,
	vrml97/VertexPoint.cpp, vrml97/VertexShape.cpp,
	vrml97/Viewpoint.cpp, vrml97/VisibilitySensor.cpp,
	vrml97/WorldInfo.cpp, 3ds/3ds-dummy.cpp, 3ds/3dsLoader.cpp,
	3ds/Makefile.am, 3ds/SoStream.cpp:
	
	prepare for AM_CONDITIONAL-remove

2005-03-10 14:08  mortene

	* src/: misc/SoProto.cpp, vrml97/TODO:
	
	Fix URLs to web3d.org.

2005-03-10 14:05  mortene

	* src/vrml97/: Anchor.cpp, Appearance.cpp, AudioClip.cpp,
	Background.cpp, Billboard.cpp, Box.cpp, Collision.cpp, Color.cpp,
	ColorInterpolator.cpp, Cone.cpp, CoordinateInterpolator.cpp,
	Cylinder.cpp, CylinderSensor.cpp, DirectionalLight.cpp,
	DragSensor.cpp, ElevationGrid.cpp, Extrusion.cpp, Fog.cpp,
	FontStyle.cpp, Group.cpp, ImageTexture.cpp, IndexedFaceSet.cpp,
	IndexedLineSet.cpp, Inline.cpp, Interpolator.cpp, LOD.cpp,
	Material.cpp, MovieTexture.cpp, NavigationInfo.cpp,
	NormalInterpolator.cpp, OrientationInterpolator.cpp,
	PixelTexture.cpp, PlaneSensor.cpp, PointLight.cpp, PointSet.cpp,
	PositionInterpolator.cpp, ScalarInterpolator.cpp, Script.cpp,
	Shape.cpp, Sound.cpp, Sphere.cpp, SphereSensor.cpp, SpotLight.cpp,
	Switch.cpp, Text.cpp, TimeSensor.cpp, TouchSensor.cpp,
	Transform.cpp, Viewpoint.cpp:
	
	Fix up URLs according to web3d.org reorganization.

2005-03-10 14:03  mortene

	* src/vrml97/AudioClip.cpp:
	
	FIXME note.

2005-03-09 16:35  kristian

	* src/nodes/SoExtSelection.cpp:
	
	- finish callbacks should be called after selection callbacks

2005-03-04 11:45  handegar

	* src/draggers/SoJackDragger.cpp:
	
	Added an NB to the doc.

2005-03-03 12:04  larsa

	* configure.ac:
	
	nit fix

2005-02-22 11:04  pederb

	* src/nodes/SoExtSelection.cpp:
	
	HPUX compile fix. Reported by Jacob Stoeren.

2005-02-21 09:53  pederb

	* include/Inventor/C/glue/gl.h, src/glue/gl.c:
	
	glMultiDraw query function.

2005-02-18 17:52  pederb

	* include/Inventor/system/gl.h.in:
	
	Anisotropic filtering enums.

2005-02-18 14:42  larsa

	* build/TODO:
	
	list of bugs

2005-02-18 12:42  pederb

	* src/caches/SoGLCacheList.cpp:
	
	Fix caching when transparency type is changed bug. Reported by Dan
	@ goldensoftware

2005-02-17 18:11  pederb

	* src/elements/GL/SoGLDisplayList.cpp:
	
	Fix 3D texture bug introduced 2004-07-06.

2005-02-17 11:07  pederb

	* src/shapenodes/SoTriangleStripSet.cpp:
	
	Bugfix for PER_FACE material or normal binding. Reported by Winnie
	E. Wong.

2005-02-15 18:14  pederb

	* src/actions/: SoToVRML2Action.cpp, SoToVRMLAction.cpp:
	
	Fix bug reported by Robert Derek Norris. The actions did not search
	in nodekit children.

2005-02-15 14:58  pederb

	* src/misc/SoContextHandler.cpp:
	
	Make handler thread safe.

2005-02-11 07:44  kristian

	* src/shapenodes/SoImage.cpp:
	
	Delete the filenamesensor field in destructor; fixes a memory leak

2005-02-10 14:28  sit

	* src/draggers/SoCenterballDragger.cpp:
	
	fix bug064 SoCenterballDragger translation

2005-02-08 16:06  larsa

	* src/caches/Makefile.am:
	
	dist fix

2005-02-08 15:13  larsa

	* Makefile.am, tools/Makefile.am:
	
	dist fixes

2005-02-07 09:21  pederb

	* src/io/SoWriterefCounter.cpp:
	
	Fix memory leak. Reported by Dan @ goldensoftware.

2005-02-07 09:17  pederb

	* src/draggers/SoTrackballDragger.cpp:
	
	Fix memory leak. Reported by Dan @ goldensoftware.

2005-02-04 14:17  pederb

	* src/engines/: evaluator.y, evaluator_tab.c:
	
	compile fix

2005-02-04 12:06  larsa

	* src/engines/evaluator.y:
	
	bugfix

2005-02-04 11:53  larsa

	* src/engines/evaluator.y:
	
	win32 vc7 warning fix

2005-02-01 17:45  pederb

	* src/io/SoInput.cpp:
	
	Fix memory leak. Reported by Dan @ goldensoftware.

2005-02-01 13:04  kristian

	* src/: misc/SoProto.cpp, misc/SoProtoInstance.cpp,
	vrml97/TimeSensor.cpp:
	
	Fix for bug #153: Memory leak(s) with sony_cam.wrl model.
	
	Classes SoProtoInstance and SoVRMLTimeSensor did not delete their
	private classes.  In class SoProto, fielddata was not deleted.

2005-02-01 10:39  larsa

	* include/Inventor/C/basic.h.in:
	
	cosmetics

2005-01-31 22:32  mortene

	* include/Inventor/C/glue/cg.h, include/Inventor/C/glue/glp.h,
	src/glue/cg.c, src/glue/gl.c:
	
	Adds functionality to aid implementation of shader nodes.

2005-01-28 17:07  pederb

	* src/engines/SoEngineOutput.cpp:
	
	Fix PROTO memory leak. Fix by Si Quoc Tran.

2005-01-26 14:58  mortene

	* src/glue/gl.c:
	
	Bugfix: initialize function ptrs, so they are correct if
	ARB_shader_objects is not available.

2005-01-26 14:18  mortene

	* src/glue/cg.c:
	
	Minor bugfix: don't post an error if libCg is missing -- that is a
	common case.

2005-01-25 15:32  mortene

	* include/Inventor/nodes/: SoNode.h, SoSubNodeP.h:
	
	Enum for nodes from TGS Inventor 5.0.

2005-01-25 12:47  pederb

	* src/vrml97/Extrusion.cpp:
	
	Improve SbTesselator handling. Problem reported by Michael Mandel.

2005-01-25 11:43  mortene

	* include/Inventor/C/glue/Makefile.am,
	include/Inventor/C/glue/cg.h, src/glue/Makefile.am,
	src/glue/all-glue-c.c, src/glue/cg.c:
	
	Implements dynamic binding to the NVidia Cg GL library.

2005-01-24 16:37  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Query and set up the function pointers from the ARB_shader_objects
	extension.

2005-01-24 13:14  mortene

	* include/Inventor/: C/glue/glp.h, system/gl.h.in:
	
	Adds some support for shader objects, needed by the shader nodes.

2005-01-24 10:58  pederb

	* src/: misc/SoProtoInstance.cpp, nodes/SoNode.cpp:
	
	Fix for SoProto/SoProtoInstance memleak and memory read/write
	errors.

2005-01-24 10:03  pederb

	* src/misc/SoProto.cpp:
	
	Undo recent memleak fix. It had some bad side effects.

2005-01-21 19:21  sit

	* src/misc/SoProto.cpp:
	
	Fix mem-leak in PROTO. This bug appears when numchildren == 1, and
	root is set to be it's child. However PRIVATE(this)->defroot = new
	SoGroup. Also tested with sony_cam.wrl, and all leaks are gone.

2005-01-21 12:49  larsa

	* src/fonts/fontspec.c:
	
	Forte CC compile fix

2005-01-18 16:02  kyrah

	* src/glue/dl.c:
	
	Fix for runtime lookup of simage library within Inventor.framework,
	which used to work only by chance.
	
	Definitely one of the ten most embarrassing bugs in my life. :-/

2005-01-18 12:53  pederb

	* src/elements/SoShapeStyleElement.cpp:
	
	Fix silly (recently introduced) bug.

2005-01-18 12:53  pederb

	* src/elements/SoLazyElement.cpp:
	
	Fix one old and one recent transparency handling bug.

2005-01-18 12:49  larsa

	* configure.ac:
	
	safety measure for people updating from old repositories

2005-01-17 12:32  kyrah

	* Makefile.am:
	
	Fix bug introduced last week: Remove "Inventor" symlink in case it
	already exists.

2005-01-17 11:51  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Fix potential bug in selection volume calculations.

2005-01-17 11:34  sit

	* src/nodes/SoExtSelection.cpp:
	
	Fix wrong float check causing warnings upon user input, by pederb

2005-01-13 18:02  kyrah

	* Makefile.am:
	
	Fix for UNIX-style usage of framework installation: Create
	additional symbolic link in the Header directory. This allows you
	to use "-I`coin-config --includedir` to specify the location of the
	Coin headers and removes the necessity for creating a
	/usr/local/include/Inventor symlink. (Relevant e.g. for Pivy.)

2005-01-13 15:32  pederb

	* src/nodes/SoResetTransform.cpp:
	
	Improve SoResetTransform auto cache logic.

2005-01-13 15:17  kyrah

	* configure.ac:
	
	`coin-config --includedir` should point to the header files in the
	framwork. Thanks to Tamer Fahmy for reporting this.

2005-01-13 11:52  mortene

	* src/fonts/freetype.c:
	
	Minor fixes: better matching types for variables. Fixes warnings
	from MSVC 7.

2005-01-13 11:51  mortene

	* src/glue/gl_wgl.c:
	
	Minor fixes: missing header caused missing function declarations.

2005-01-12 18:09  kyrah

	* configure.ac:
	
	Static linking fix for Mac OS X.

2005-01-12 17:46  kyrah

	* src/glue/gl.c:
	
	It's agl.h, not AGL.h. Thanks to Dmitry Farina for pointing that
	out.

2005-01-12 09:20  pederb

	* include/Inventor/elements/SoShapeStyleElement.h,
	src/elements/SoLazyElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/nodes/SoBumpMap.cpp, src/shapenodes/SoShape.cpp:
	
	Optimize rendering traversal. Approximately 20% faster.

2005-01-11 15:57  mortene

	* include/Inventor/.cvsignore:
	
	SbBasic.h no longer generated.

2005-01-11 09:33  larsa

	* cfg/cxxwrap.exe:
	
	update

2005-01-11 09:32  larsa

	* java/Makefile.am:
	
	reenable some classes

2005-01-11 09:17  larsa

	* tools/cxxwrap-20040103.patch:
	
	bugfix and comments, cosmetix

2005-01-10 17:15  larsa

	* cfg/gendsp.sh.in:
	
	bootstrap

2005-01-10 17:04  larsa

	* Makefile.am:
	
	dist change

2005-01-10 17:04  larsa

	* include/Inventor/fields/: SoMFLong.h, SoMFULong.h, SoSFLong.h,
	SoSFULong.h:
	
	be consistent in warning

2005-01-10 15:31  larsa

	* build/msvc7/installcoinheaders.bat:
	
	regenerate

2005-01-10 15:29  larsa

	* build/msvc6/installcoin.bat:
	
	output tweaks

2005-01-10 15:28  larsa

	* build/README:
	
	info

2005-01-10 15:27  larsa

	* scripts/prep.pl:
	
	resolve symbolic enum values

2005-01-10 14:42  larsa

	* cfg/cxxwrap.exe:
	
	update

2005-01-10 14:40  larsa

	* java/Makefile.am:
	
	build rules

2005-01-10 14:36  larsa

	* tools/cxxwrap-20040103.patch:
	
	update dynamic array size handling. avoid existing subdir warnings
	on ms-dos

2005-01-06 17:14  larsa

	* include/Inventor/nodes/SoNodes.h, src/nodes/SoNode.cpp:
	
	compile fix

2005-01-06 13:03  mortene

	* examples/misc/glut_tex.cpp, java/files/Deletable.java,
	java/files/RefQ.java, java/files/hash_adt.cxx,
	java/files/hash_adt.h, scripts/prep.pl,
	src/caches/normalcache_numcoords_hack.cpp,
	src/caches/normalcache_numcoords_hack.h,
	src/collision/all-collision-cpp.cpp:
	
	Copyright span and SIM Trh address updates.

2005-01-06 13:01  mortene

	* src/base/name.c, include/Inventor/C/base/name.h,
	include/Inventor/C/glue/Makefile.am,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/fontlib_wrapper.h, src/glue/flwfreetype.c,
	src/glue/fontlib_wrapper.c:
	
	Janitorial tasks: remove obsoleted files and code.

2005-01-06 12:46  mortene

	* COPYING, INSTALL, Info.plist.in, README,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc6/include/Inventor/system/gl.h,
	build/msvc6/include/Inventor/system/inttypes.h,
	build/msvc7/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/system/gl.h,
	build/msvc7/include/Inventor/system/inttypes.h,
	data/draggerDefaults/iv2h.sh.in, docs/doxygen/footer.html,
	examples/bindings/glutiv.cpp, examples/bindings/glxiv.cpp,
	include/SoWinEnterScope.h, include/SoWinLeaveScope.h,
	include/coindefs.h, include/Inventor/Sb.h,
	include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h,
	include/Inventor/SbBox.h, include/Inventor/SbBox2d.h,
	include/Inventor/SbBox2f.h, include/Inventor/SbBox2s.h,
	include/Inventor/SbBox3f.h, include/Inventor/SbBox3s.h,
	include/Inventor/SbClip.h, include/Inventor/SbColor.h,
	include/Inventor/SbColor4f.h, include/Inventor/SbCylinder.h,
	include/Inventor/SbDPLine.h, include/Inventor/SbDPLinear.h,
	include/Inventor/SbDPMatrix.h, include/Inventor/SbDPPlane.h,
	include/Inventor/SbDPRotation.h, include/Inventor/SbDPViewVolume.h,
	include/Inventor/SbDict.h, include/Inventor/SbHeap.h,
	include/Inventor/SbImage.h, include/Inventor/SbLine.h,
	include/Inventor/SbLinear.h, include/Inventor/SbMatrix.h,
	include/Inventor/SbName.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTesselator.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2d.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec2s.h,
	include/Inventor/SbVec3d.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec3s.h, include/Inventor/SbVec4d.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/C/basic.h.in, include/Inventor/C/tidbits.h,
	include/Inventor/C/tidbitsp.h, include/Inventor/C/base/dynarray.h,
	include/Inventor/C/base/hash.h, include/Inventor/C/base/hashp.h,
	include/Inventor/C/base/heap.h, include/Inventor/C/base/heapp.h,
	include/Inventor/C/base/list.h, include/Inventor/C/base/memalloc.h,
	include/Inventor/C/base/namemap.h,
	include/Inventor/C/base/rbptree.h,
	include/Inventor/C/base/string.h, include/Inventor/C/base/time.h,
	include/Inventor/C/errors/debugerror.h,
	include/Inventor/C/errors/error.h,
	include/Inventor/C/glue/GLUWrapper.h,
	include/Inventor/C/glue/bzip2.h, include/Inventor/C/glue/dl.h,
	include/Inventor/C/glue/dlp.h, include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/freetype.h, include/Inventor/C/glue/gl.h,
	include/Inventor/C/glue/gl_agl.h, include/Inventor/C/glue/gl_glx.h,
	include/Inventor/C/glue/gl_wgl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/C/glue/openal_wrapper.h,
	include/Inventor/C/glue/simage_wrapper.h,
	include/Inventor/C/glue/win32api.h, include/Inventor/C/glue/zlib.h,
	include/Inventor/C/threads/barrier.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/condvar.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/C/threads/fifo.h,
	include/Inventor/C/threads/fifop.h,
	include/Inventor/C/threads/mutex.h,
	include/Inventor/C/threads/mutexp.h,
	include/Inventor/C/threads/recmutex.h,
	include/Inventor/C/threads/recmutexp.h,
	include/Inventor/C/threads/rwmutex.h,
	include/Inventor/C/threads/rwmutexp.h,
	include/Inventor/C/threads/sched.h,
	include/Inventor/C/threads/schedp.h,
	include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/C/threads/sync.h,
	include/Inventor/C/threads/syncp.h,
	include/Inventor/C/threads/thread.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/C/threads/threadsutilp.h,
	include/Inventor/C/threads/worker.h,
	include/Inventor/C/threads/workerp.h,
	include/Inventor/C/threads/wpool.h,
	include/Inventor/C/threads/wpoolp.h,
	include/Inventor/MPEG/SoMPEGFrameRenderer.h,
	include/Inventor/MPEG/SoMPEGRenderer.h,
	include/Inventor/VRMLnodes/SoVRML.h,
	include/Inventor/VRMLnodes/SoVRMLAnchor.h,
	include/Inventor/VRMLnodes/SoVRMLAppearance.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/VRMLnodes/SoVRMLBackground.h,
	include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/VRMLnodes/SoVRMLBox.h,
	include/Inventor/VRMLnodes/SoVRMLCollision.h,
	include/Inventor/VRMLnodes/SoVRMLColor.h,
	include/Inventor/VRMLnodes/SoVRMLColorInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCone.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinateInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	include/Inventor/VRMLnodes/SoVRMLDragSensor.h,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	include/Inventor/VRMLnodes/SoVRMLExtrusion.h,
	include/Inventor/VRMLnodes/SoVRMLFog.h,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/VRMLnodes/SoVRMLGeometry.h,
	include/Inventor/VRMLnodes/SoVRMLGroup.h,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLine.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	include/Inventor/VRMLnodes/SoVRMLInline.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h,
	include/Inventor/VRMLnodes/SoVRMLLight.h,
	include/Inventor/VRMLnodes/SoVRMLMacros.h,
	include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	include/Inventor/VRMLnodes/SoVRMLNavigationInfo.h,
	include/Inventor/VRMLnodes/SoVRMLNodes.h,
	include/Inventor/VRMLnodes/SoVRMLNormal.h,
	include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLParent.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	include/Inventor/VRMLnodes/SoVRMLPointSet.h,
	include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLScript.h,
	include/Inventor/VRMLnodes/SoVRMLSensor.h,
	include/Inventor/VRMLnodes/SoVRMLShape.h,
	include/Inventor/VRMLnodes/SoVRMLSound.h,
	include/Inventor/VRMLnodes/SoVRMLSphere.h,
	include/Inventor/VRMLnodes/SoVRMLSphereSensor.h,
	include/Inventor/VRMLnodes/SoVRMLSpotLight.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	include/Inventor/VRMLnodes/SoVRMLText.h,
	include/Inventor/VRMLnodes/SoVRMLTexture.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLTextureTransform.h,
	include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTouchSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h,
	include/Inventor/VRMLnodes/SoVRMLVertexLine.h,
	include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	include/Inventor/VRMLnodes/SoVRMLViewpoint.h,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLWorldInfo.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoAudioRenderAction.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	include/Inventor/annex/HardCopy/SoHardCopy.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeHPGLAction.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoNormalBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/caches/SoGlyphCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/collision/SoIntersectionDetectionAction.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/elements/SoBumpMapElement.h,
	include/Inventor/elements/SoBumpMapMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDisplayList.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	include/Inventor/elements/SoGLMultiTextureImageElement.h,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoListenerDopplerElement.h,
	include/Inventor/elements/SoListenerGainElement.h,
	include/Inventor/elements/SoListenerOrientationElement.h,
	include/Inventor/elements/SoListenerPositionElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoMultiTextureEnabledElement.h,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSoundElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTexture3EnabledElement.h,
	include/Inventor/elements/SoTextureCombineElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureEnabledElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTextureScalePolicyElement.h,
	include/Inventor/elements/SoTextureScaleQualityElement.h,
	include/Inventor/elements/SoTextureUnitElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SFNodeAndEngine.tpl,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoGlobalField.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3d.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFBox3s.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFImage3.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec2s.h,
	include/Inventor/fields/SoSFVec3d.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec3s.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SbVec3fList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lock/SoLockMgr.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/misc/SbHash.h,
	include/Inventor/misc/SoAudioDevice.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h,
	include/Inventor/misc/SoContextHandler.h,
	include/Inventor/misc/SoGL.h, include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoGlyph.h,
	include/Inventor/misc/SoLightPath.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotRec.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoPick.h, include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoBumpMap.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h,
	include/Inventor/nodes/SoBumpMapTransform.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoListener.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPattern.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSceneTexture2.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTexture3.h,
	include/Inventor/nodes/SoTexture3Transform.h,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinate3.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateCube.h,
	include/Inventor/nodes/SoTextureCoordinateCylinder.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTextureCoordinateSphere.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/nodes/SoTextureUnit.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/gl.h.in,
	include/Inventor/system/inttypes.h.in,
	include/Inventor/threads/SbBarrier.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/threads/SbFifo.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/threads/SbRWMutex.h,
	include/Inventor/threads/SbStorage.h,
	include/Inventor/threads/SbThread.h,
	include/Inventor/threads/SbThreadAutoLock.h,
	include/Inventor/threads/SbTypedStorage.h,
	packaging/debian/copyright.in, packaging/macosx/makecoinpkg.sh.in,
	packaging/macosx/makecointoolspkg.sh.in,
	packaging/macosx/makedmg.sh.in, packaging/macosx/makeinstdmg.sh.in,
	packaging/macosx/makenoinstdmg.sh.in, patches/sbfifo.diff,
	patches/sodebug-class.diff, scripts/coin.el, src/tidbits.c,
	src/3ds/3dsLoader.cpp, src/3ds/3dsLoader.h, src/3ds/SoStream.cpp,
	src/3ds/SoStream.h, src/actions/SoAction.cpp,
	src/actions/SoAudioRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/all-actions-cpp.cpp, src/base/SbBSPTree.cpp,
	src/base/SbBox2d.cpp, src/base/SbBox2f.cpp, src/base/SbBox2s.cpp,
	src/base/SbBox3f.cpp, src/base/SbBox3s.cpp, src/base/SbClip.cpp,
	src/base/SbColor.cpp, src/base/SbColor4f.cpp,
	src/base/SbCylinder.cpp, src/base/SbDPLine.cpp,
	src/base/SbDPMatrix.cpp, src/base/SbDPPlane.cpp,
	src/base/SbDPRotation.cpp, src/base/SbDPViewVolume.cpp,
	src/base/SbDict.cpp, src/base/SbHeap.cpp, src/base/SbImage.cpp,
	src/base/SbLine.cpp, src/base/SbMatrix.cpp, src/base/SbName.cpp,
	src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	src/base/SbVec2s.cpp, src/base/SbVec3d.cpp, src/base/SbVec3f.cpp,
	src/base/SbVec3s.cpp, src/base/SbVec4d.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/base/all-base-c.c,
	src/base/all-base-cpp.cpp, src/base/dynarray.cpp, src/base/hash.c,
	src/base/heap.c, src/base/list.c, src/base/memalloc.c,
	src/base/namemap.c, src/base/rbptree.c, src/base/string.c,
	src/base/time.c, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp, src/bundles/SoNormalBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/bundles/all-bundles-cpp.cpp, src/caches/SoBoundingBoxCache.cpp,
	src/caches/SoCache.cpp, src/caches/SoConvexDataCache.cpp,
	src/caches/SoGLCacheList.cpp, src/caches/SoGLRenderCache.cpp,
	src/caches/SoGlyphCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp,
	src/caches/all-caches-cpp.cpp, src/collision/SbTri3f.cpp,
	src/collision/SbTri3f.h,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/details/all-details-cpp.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/draggers/all-draggers-cpp.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/elements/SoBumpMapElement.cpp,
	src/elements/SoBumpMapMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoListenerDopplerElement.cpp,
	src/elements/SoListenerGainElement.cpp,
	src/elements/SoListenerOrientationElement.cpp,
	src/elements/SoListenerPositionElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoMultiTextureEnabledElement.cpp,
	src/elements/SoMultiTextureImageElement.cpp,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSoundElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTexture3EnabledElement.cpp,
	src/elements/SoTextureCombineElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureEnabledElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/elements/SoTextureScaleQualityElement.cpp,
	src/elements/SoTextureUnitElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp,
	src/elements/all-elements-cpp.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/GL/SoGLClipPlaneElement.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp,
	src/elements/GL/SoGLCoordinateElement.cpp,
	src/elements/GL/SoGLDisplayList.cpp,
	src/elements/GL/SoGLDrawStyleElement.cpp,
	src/elements/GL/SoGLEmissiveColorElement.cpp,
	src/elements/GL/SoGLEnvironmentElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLLightIdElement.cpp,
	src/elements/GL/SoGLLinePatternElement.cpp,
	src/elements/GL/SoGLLineWidthElement.cpp,
	src/elements/GL/SoGLModelMatrixElement.cpp,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/elements/GL/SoGLNormalElement.cpp,
	src/elements/GL/SoGLPointSizeElement.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	src/elements/GL/SoGLProjectionMatrixElement.cpp,
	src/elements/GL/SoGLRenderPassElement.cpp,
	src/elements/GL/SoGLShapeHintsElement.cpp,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/elements/GL/SoGLTextureCoordinateElement.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/elements/GL/SoGLTextureMatrixElement.cpp,
	src/elements/GL/SoGLUpdateAreaElement.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/elements/GL/all-glelements-cpp.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoOnOff.cpp, src/engines/SoOneShot.cpp,
	src/engines/SoOutputData.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTimeCounter.cpp, src/engines/SoTransformVec3f.cpp,
	src/engines/SoTriggerAny.cpp, src/engines/all-engines-c.c,
	src/engines/all-engines-cpp.cpp, src/engines/evaluator.c,
	src/engines/evaluator.h, src/engines/evaluator.l,
	src/engines/evaluator.y, src/engines/evaluator_tab.c,
	src/engines/so_eval.ic, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/errors/all-errors-c.c,
	src/errors/all-errors-cpp.cpp, src/errors/debugerror.c,
	src/errors/error.c, src/events/SoButtonEvent.cpp,
	src/events/SoEvent.cpp, src/events/SoKeyboardEvent.cpp,
	src/events/SoLocation2Event.cpp, src/events/SoMotion3Event.cpp,
	src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp,
	src/events/all-events-cpp.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoFieldData.cpp,
	src/fields/SoGlobalField.cpp, src/fields/SoMFBitMask.cpp,
	src/fields/SoMFBool.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoMFName.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFString.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFVec3d.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFBox3s.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFImage3.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec2s.cpp,
	src/fields/SoSFVec3d.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoSFVec3s.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp, src/fields/all-fields-cpp.cpp,
	src/fields/shared.cpp, src/fields/shared.h,
	src/fonts/all-fonts-c.c, src/fonts/default2dfont.c,
	src/fonts/default3dfont.c, src/fonts/defaultfonts.h,
	src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/fontspec.c, src/fonts/fontspec.h, src/fonts/freetype.c,
	src/fonts/freetype.h, src/fonts/glyph2d.c, src/fonts/glyph2d.h,
	src/fonts/glyph3d.c, src/fonts/glyph3d.h, src/fonts/win32.c,
	src/fonts/win32.h, src/glue/GLUWrapper.c, src/glue/all-glue-c.c,
	src/glue/bzip2.c, src/glue/dl.c, src/glue/flwwin32.c,
	src/glue/freetype.c, src/glue/gl.c, src/glue/gl_agl.c,
	src/glue/gl_glx.c, src/glue/gl_wgl.c,
	src/glue/normalization_cubemap.c, src/glue/openal_wrapper.c,
	src/glue/simage_wrapper.c, src/glue/win32api.c, src/glue/zlib.c,
	src/hardcopy/CGMVectorOutput.cpp, src/hardcopy/GDIVectorOutput.cpp,
	src/hardcopy/HPGLVectorOutput.cpp, src/hardcopy/HardCopy.cpp,
	src/hardcopy/PSVectorOutput.cpp, src/hardcopy/VectorOutput.cpp,
	src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizeActionP.h,
	src/hardcopy/VectorizeCGMAction.cpp,
	src/hardcopy/VectorizeGDIAction.cpp,
	src/hardcopy/VectorizeHPGLAction.cpp,
	src/hardcopy/VectorizeItems.h, src/hardcopy/VectorizePSAction.cpp,
	src/hardcopy/all-hardcopy-cpp.cpp, src/io/SoByteStream.cpp,
	src/io/SoInput.cpp, src/io/SoInput_FileInfo.cpp,
	src/io/SoInput_FileInfo.h, src/io/SoInput_Reader.cpp,
	src/io/SoInput_Reader.h, src/io/SoOutput.cpp,
	src/io/SoOutput_Writer.cpp, src/io/SoOutput_Writer.h,
	src/io/SoTranReceiver.cpp, src/io/SoTranSender.cpp,
	src/io/SoWriterefCounter.cpp, src/io/SoWriterefCounter.h,
	src/io/all-io-c.c, src/io/all-io-cpp.cpp, src/io/gzmemio.h,
	src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoNodeList.cpp, src/lists/SoPathList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	src/lists/all-lists-cpp.cpp, src/manips/SoCenterballManip.cpp,
	src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/manips/all-manips-cpp.cpp, src/manips/commoncode.cpp,
	src/misc/AudioTools.cpp, src/misc/AudioTools.h,
	src/misc/SoAudioDevice.cpp, src/misc/SoBase.cpp,
	src/misc/SoChildList.cpp, src/misc/SoContextHandler.cpp,
	src/misc/SoDB.cpp, src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLFaceSetTemplate.icc,
	src/misc/SoGLImage.cpp, src/misc/SoGLLineSetTemplate.icc,
	src/misc/SoGLTristripTemplate.icc,
	src/misc/SoGLindexedLineSetTemplate.icc,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/misc/SoGLnonindexedTristripSetTemplate.icc,
	src/misc/SoGLqmeshTemplate.icc,
	src/misc/SoGLqmeshpreciselightingTemplate.icc,
	src/misc/SoGenerate.cpp, src/misc/SoGlyph.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoLightPath.cpp,
	src/misc/SoLockManager.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotRec.cpp, src/misc/SoNotification.cpp,
	src/misc/SoOffscreenAGLData.cpp, src/misc/SoOffscreenAGLData.h,
	src/misc/SoOffscreenGLXData.cpp, src/misc/SoOffscreenGLXData.h,
	src/misc/SoOffscreenInternalData.h,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoOffscreenWGLData.cpp,
	src/misc/SoOffscreenWGLData.h, src/misc/SoPath.cpp,
	src/misc/SoPick.cpp, src/misc/SoPickedPoint.cpp,
	src/misc/SoPrimitiveVertex.cpp, src/misc/SoProto.cpp,
	src/misc/SoProtoInstance.cpp, src/misc/SoSceneManager.cpp,
	src/misc/SoState.cpp, src/misc/SoTempPath.cpp, src/misc/SoType.cpp,
	src/misc/all-misc-cpp.cpp, src/misc/cppmangle.icc,
	src/mpeg/SoMPEGFrameRenderer.cpp, src/mpeg/SoMPEGRenderer.cpp,
	src/mpeg/all-mpeg-cpp.cpp, src/nodekits/SoAppearanceKit.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoCameraKit.cpp,
	src/nodekits/SoInteractionKit.cpp, src/nodekits/SoLightKit.cpp,
	src/nodekits/SoNodeKit.cpp, src/nodekits/SoNodeKitListPart.cpp,
	src/nodekits/SoNodeKitPath.cpp, src/nodekits/SoNodekitCatalog.cpp,
	src/nodekits/SoSceneKit.cpp, src/nodekits/SoSeparatorKit.cpp,
	src/nodekits/SoShapeKit.cpp, src/nodekits/SoWrapperKit.cpp,
	src/nodekits/all-nodekits-cpp.cpp, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoBumpMap.cpp, src/nodes/SoBumpMapCoordinate.cpp,
	src/nodes/SoBumpMapTransform.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoInfo.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoLabel.cpp, src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLight.cpp, src/nodes/SoLightModel.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoListener.cpp,
	src/nodes/SoLocateHighlight.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoPattern.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPolygonOffset.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoRotationXYZ.cpp,
	src/nodes/SoRotor.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShapeHints.cpp,
	src/nodes/SoShuttle.cpp, src/nodes/SoSoundElementHelper.h,
	src/nodes/SoSpotLight.cpp, src/nodes/SoSurroundScale.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture2Transform.cpp, src/nodes/SoTexture3.cpp,
	src/nodes/SoTexture3Transform.cpp, src/nodes/SoTextureCombine.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTextureUnit.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTransformation.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoTransparencyType.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoUnknownNode.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/nodes/all-nodes-cpp.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/projectors/all-projectors-cpp.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/sensors/all-sensors-cpp.cpp, src/shapenodes/SoAsciiText.cpp,
	src/shapenodes/SoCone.cpp, src/shapenodes/SoCube.cpp,
	src/shapenodes/SoCylinder.cpp, src/shapenodes/SoFaceSet.cpp,
	src/shapenodes/SoImage.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/shapenodes/SoIndexedShape.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoLineSet.cpp, src/shapenodes/SoMarkerSet.cpp,
	src/shapenodes/SoNonIndexedShape.cpp,
	src/shapenodes/SoNurbsCurve.cpp, src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/SoPointSet.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoShape.cpp, src/shapenodes/SoSphere.cpp,
	src/shapenodes/SoText2.cpp, src/shapenodes/SoText3.cpp,
	src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoVertexShape.cpp,
	src/shapenodes/all-shapenodes-cpp.cpp,
	src/shapenodes/soshape_bigtexture.cpp,
	src/shapenodes/soshape_bigtexture.h,
	src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_primdata.cpp,
	src/shapenodes/soshape_primdata.h,
	src/shapenodes/soshape_trianglesort.cpp,
	src/shapenodes/soshape_trianglesort.h, src/threads/all-threads-c.c,
	src/threads/barrier.c, src/threads/common.c, src/threads/condvar.c,
	src/threads/condvar_pthread.ic, src/threads/condvar_win32.ic,
	src/threads/fifo.c, src/threads/mutex.c,
	src/threads/mutex_pthread.ic, src/threads/mutex_win32cs.ic,
	src/threads/mutex_win32mutex.ic, src/threads/recmutex.c,
	src/threads/rwmutex.c, src/threads/sched.c, src/threads/storage.c,
	src/threads/sync.c, src/threads/thread.c,
	src/threads/thread_pthread.ic, src/threads/thread_win32.ic,
	src/threads/worker.c, src/threads/wpool.c,
	src/threads/wrappers.cpp, src/upgraders/SoPackedColorV20.cpp,
	src/upgraders/SoPackedColorV20.h,
	src/upgraders/SoShapeHintsV10.cpp, src/upgraders/SoShapeHintsV10.h,
	src/upgraders/SoUpgrader.cpp, src/upgraders/SoUpgrader.h,
	src/upgraders/all-upgraders-cpp.cpp, src/vrml97/Anchor.cpp,
	src/vrml97/Appearance.cpp, src/vrml97/AudioClip.cpp,
	src/vrml97/Background.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Box.cpp, src/vrml97/Collision.cpp, src/vrml97/Color.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Coordinate.cpp, src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/CylinderSensor.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/DragSensor.cpp,
	src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/Fog.cpp, src/vrml97/FontStyle.cpp,
	src/vrml97/Geometry.cpp, src/vrml97/Group.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLine.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/IndexedShape.cpp, src/vrml97/Init.cpp,
	src/vrml97/Inline.cpp, src/vrml97/Interpolator.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Light.cpp, src/vrml97/Material.cpp,
	src/vrml97/MovieTexture.cpp, src/vrml97/NavigationInfo.cpp,
	src/vrml97/Normal.cpp, src/vrml97/NormalInterpolator.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/Parent.cpp,
	src/vrml97/PixelTexture.cpp, src/vrml97/PlaneSensor.cpp,
	src/vrml97/PointLight.cpp, src/vrml97/PointSet.cpp,
	src/vrml97/PositionInterpolator.cpp,
	src/vrml97/ProximitySensor.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Script.cpp, src/vrml97/Sensor.cpp, src/vrml97/Shape.cpp,
	src/vrml97/Sound.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/Switch.cpp, src/vrml97/Text.cpp, src/vrml97/Texture.cpp,
	src/vrml97/TextureCoordinate.cpp, src/vrml97/TextureTransform.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/TouchSensor.cpp,
	src/vrml97/Transform.cpp, src/vrml97/VertexLine.cpp,
	src/vrml97/VertexPoint.cpp, src/vrml97/VertexShape.cpp,
	src/vrml97/Viewpoint.cpp, src/vrml97/VisibilitySensor.cpp,
	src/vrml97/WorldInfo.cpp, src/vrml97/all-vrml97-cpp.cpp,
	templates/Copyright.tpl:
	
	Copyright span updates + SIM address updated for Trondheim offices.

2005-01-06 12:13  mortene

	* include/Inventor/SbBasic.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/nodes/SoSubNode.h, src/actions/SoAction.cpp,
	src/details/SoDetail.cpp, src/elements/SoElement.cpp,
	src/engines/SoEngine.cpp, src/engines/SoNodeEngine.cpp,
	src/errors/SoDebugError.cpp, src/errors/SoError.cpp,
	src/errors/SoMemoryError.cpp, src/errors/SoReadError.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/fields/SoGlobalField.cpp, src/fields/SoMField.cpp,
	src/fields/SoSField.cpp, src/misc/SoBase.cpp, src/misc/SoDB.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoPath.cpp, src/nodes/SoNode.cpp, src/vrml97/Script.cpp:
	
	Code generation fix: get around a problem with the Intel compiler.

2005-01-05 17:16  larsa

	* build/msvc7/: .cvsignore, coin2.sln, generate.sh,
	installcoin.bat:
	
	minor fixes

2005-01-05 17:08  pederb

	* src/shapenodes/: SoFaceSet.cpp, SoLineSet.cpp,
	SoTriangleStripSet.cpp:
	
	Be more robust when numVertices is set to 0. Problem reported by
	Dan @ goldensoftware.

2005-01-05 16:34  larsa

	* build/msvc6/: .cvsignore, generate.sh, installcoinheaders.bat:
	
	fixes, bootstrap

2005-01-05 16:16  larsa

	* cfg/: coin.m4, gendsp.sh.in:
	
	bootstrap

2005-01-05 15:54  mortene

	* src/: nodes/SoExtSelection.cpp, nodes/SoSelection.cpp,
	vrml97/Billboard.cpp:
	
	Minor doc fixes.

2005-01-04 15:44  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Compile fix: header include was missing for XCode.

2005-01-04 15:37  mortene

	* src/draggers/SoSpotLightDragger.cpp:
	
	Bugfix: plugged memleak.

2005-01-04 15:12  sit

	* src/vrml97/Billboard.cpp:
	
	cleanup code

2005-01-04 14:49  sit

	* src/draggers/SoDragger.cpp:
	
	bugfix 160 memleak using draggers

2005-01-03 15:21  handegar

	* build/msvc6/: coin2.dsp, installcoinheaders.bat,
	include/config.h, include/Inventor/C/basic.h:
	
	Regeneration MSVC6.

2005-01-03 13:35  larsa

	* build/msvc7/: coin2.dsp, coin2.sln, coin2.vcproj,
	installcoin.bat, installcoinheaders.bat, include/config.h,
	include/Inventor/C/basic.h:
	
	regeneration

2005-01-03 13:33  larsa

	* java/Makefile.am:
	
	fixes

2005-01-03 13:22  larsa

	* cfg/: gendsp.sh, gendsp.sh.in:
	
	gendsp change

2005-01-03 13:21  larsa

	* configure.ac:
	
	gendsp adjustments

2005-01-03 13:21  larsa

	* Makefile.am:
	
	dist fixes

2005-01-03 13:20  larsa

	* scripts/prep.pl:
	
	msvc++ preprocessor adjustments

2005-01-03 12:53  sit

	* src/vrml97/Billboard.cpp:
	
	fix for non-uniform scaling

2004-12-28 01:51  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Crop selection-area to viewport region.

2004-12-21 16:05  mortene

	* include/Inventor/SbBox3s.h, include/Inventor/SbViewportRegion.h,
	include/Inventor/SoDB.h, include/Inventor/bundles/SoNormalBundle.h,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h,
	src/base/SbViewportRegion.cpp,
	src/caches/normalcache_numcoords_hack.cpp, src/misc/SoDB.cpp:
	
	Version update fixes: activate dormant API functions etc.

2004-12-21 15:58  kyrah

	* src/glue/dl.c:
	
	Fix for static linking on Mac OS X: Don't use _mh_dylib_header,
	which is defined by the link editor only when building a MH_DYLIB
	binary. Problem reported by Rich Cook.

2004-12-21 15:48  larsa

	* tools/cxxwrap-20040103.patch:
	
	more custom functionality

2004-12-21 14:15  larsa

	* java/Makefile.am:
	
	better task separation, misc tweaks

2004-12-21 14:14  larsa

	* scripts/prep.pl:
	
	support msvc as preprocessor

2004-12-21 13:13  mortene

	* configure.ac:
	
	Version bump: next release will be a minor upgrade, not a
	patch-level upgrade.

2004-12-21 13:12  mortene

	* include/Inventor/annex/HardCopy/SoVectorizeAction.h:
	
	Compatibility fix: for better compile-time compatibility with later
	TGS Inventor versions.

2004-12-21 11:33  larsa

	* Makefile.am:
	
	build problem workaround

2004-12-20 18:19  kristian

	* src/fonts/freetype.c:
	
	- Add casts to avoid compiler error

2004-12-20 17:05  larsa

	* cfg/cxxwrap.exe:
	
	win32 version of cxxwrap

2004-12-19 21:46  larsa

	* scripts/prep.pl:
	
	misc minor extensions

2004-12-19 21:45  larsa

	* java/Makefile.am:
	
	more build rule stuff

2004-12-19 21:45  larsa

	* java/headers.patch:
	
	stub

2004-12-19 21:45  larsa

	* java/files/: Deletable.java, RefQ.java, SoSceneManager_jni.cxx,
	hash_adt.cxx, hash_adt.h:
	
	custom files for Java wrapper implementation

2004-12-17 20:49  larsa

	* scripts/: README, prep.pl:
	
	new prep.pl script

2004-12-17 20:21  larsa

	* include/Inventor/sensors/SoSensorManager.h:
	
	be more specific

2004-12-17 17:47  pederb

	* src/fields/SoSFImage.cpp:
	
	Improve startEditing() doc. Problem reported by PC John.

2004-12-17 15:12  larsa

	* java/Makefile.am:
	
	generate headerlist

2004-12-17 13:54  mortene

	* src/glue/freetype.c:
	
	void-functions do not return values

2004-12-17 12:58  larsa

	* Makefile.am, configure.ac:
	
	java wrapper build changes

2004-12-17 12:57  larsa

	* java/Makefile.am:
	
	empty makefiles

2004-12-17 12:56  larsa

	* tools/cxxwrap-20040103.patch:
	
	local changes

2004-12-17 12:56  larsa

	* tools/cxxwrap-20040103.tar.gz:
	
	cxxwrap source archive

2004-12-15 20:33  larsa

	* build/msvc6/: .cvsignore, coin2.dsp, coin2.dsw,
	installcoinheaders.bat, data/.cvsignore,
	data/draggerDefaults/.cvsignore,
	data/draggerDefaults/centerballDragger.h,
	data/draggerDefaults/directionalLightDragger.h,
	data/draggerDefaults/dragPointDragger.h,
	data/draggerDefaults/handleBoxDragger.h,
	data/draggerDefaults/jackDragger.h,
	data/draggerDefaults/pointLightDragger.h,
	data/draggerDefaults/rotateCylindricalDragger.h,
	data/draggerDefaults/rotateDiscDragger.h,
	data/draggerDefaults/rotateSphericalDragger.h,
	data/draggerDefaults/scale1Dragger.h,
	data/draggerDefaults/scale2Dragger.h,
	data/draggerDefaults/scale2UniformDragger.h,
	data/draggerDefaults/scaleUniformDragger.h,
	data/draggerDefaults/spotLightDragger.h,
	data/draggerDefaults/tabBoxDragger.h,
	data/draggerDefaults/tabPlaneDragger.h,
	data/draggerDefaults/trackballDragger.h,
	data/draggerDefaults/transformBoxDragger.h,
	data/draggerDefaults/transformerDragger.h,
	data/draggerDefaults/translate1Dragger.h,
	data/draggerDefaults/translate2Dragger.h, include/.cvsignore,
	include/config.h, include/Inventor/.cvsignore,
	include/Inventor/C/.cvsignore, include/Inventor/C/basic.h,
	include/Inventor/system/.cvsignore, include/Inventor/system/gl.h,
	include/Inventor/system/inttypes.h:
	
	autogenerated files

2004-12-15 20:05  larsa

	* build/msvc6/: coin2.dsp, coin2.dsw, generate.sh, installcoin.bat,
	installcoinheaders.bat:
	
	kickstart-files for generating the build files

2004-12-15 19:51  larsa

	* build/msvc7/: coin2.dsp, installcoinheaders.bat, coin2.sln,
	coin2.vcproj:
	
	header has moved

2004-12-15 19:11  larsa

	* build/msvc7/: .cvsignore, data/.cvsignore,
	data/draggerDefaults/.cvsignore, include/.cvsignore,
	include/Inventor/.cvsignore, include/Inventor/C/.cvsignore,
	include/Inventor/system/.cvsignore:
	
	cvsignore-files

2004-12-15 19:11  larsa

	* build/msvc7/installcoinheaders.bat:
	
	autogenerated bat

2004-12-15 19:05  larsa

	* build/msvc7/: coin2.dsp, coin2.dsw, coin2.sln, coin2.vcproj,
	data/draggerDefaults/centerballDragger.h,
	data/draggerDefaults/directionalLightDragger.h,
	data/draggerDefaults/dragPointDragger.h,
	data/draggerDefaults/handleBoxDragger.h,
	data/draggerDefaults/jackDragger.h,
	data/draggerDefaults/pointLightDragger.h,
	data/draggerDefaults/rotateCylindricalDragger.h,
	data/draggerDefaults/rotateDiscDragger.h,
	data/draggerDefaults/rotateSphericalDragger.h,
	data/draggerDefaults/scale1Dragger.h,
	data/draggerDefaults/scale2Dragger.h,
	data/draggerDefaults/scale2UniformDragger.h,
	data/draggerDefaults/scaleUniformDragger.h,
	data/draggerDefaults/spotLightDragger.h,
	data/draggerDefaults/tabBoxDragger.h,
	data/draggerDefaults/tabPlaneDragger.h,
	data/draggerDefaults/trackballDragger.h,
	data/draggerDefaults/transformBoxDragger.h,
	data/draggerDefaults/transformerDragger.h,
	data/draggerDefaults/translate1Dragger.h,
	data/draggerDefaults/translate2Dragger.h, include/config.h,
	include/Inventor/C/basic.h, include/Inventor/system/gl.h,
	include/Inventor/system/inttypes.h:
	
	autogenerated files

2004-12-15 18:51  larsa

	* cfg/gendsp.sh:
	
	bootstrap

2004-12-15 18:42  larsa

	* Makefile.am, README.WIN32, build/msvc7/generate.sh:
	
	windows build files stuff

2004-12-15 18:29  larsa

	* include/Inventor/: Makefile.am, SbBasic.h, SbBasic.h.in:
	
	SbBasic.h doesn't need to be autogenerated

2004-12-15 18:18  larsa

	* build/msvc7/: generate.sh, installcoin.bat:
	
	the custom files

2004-12-15 11:07  pederb

	* src/misc/SoProto.cpp:
	
	PROTO export bugfix.

2004-12-14 18:00  pederb

	* src/fields/SoField.cpp:
	
	Fix for VRMLSwitch copyConnection bug (will probably fix copy for
	other nodes with dynamic fields as well). SoField::copyConnection()
	is now less hackish as well. Bug found by Si Quoc Tran.

2004-12-14 10:41  pederb

	* include/Inventor/fields/SoSubField.h:
	
	Fix SoMField::find bug (missing evaluate()). Bug reported by
	Gerhard Reitmayr.

2004-12-13 16:14  pederb

	* src/vrml97/Script.cpp:
	
	Copy bugfixes (but still not working properly).

2004-12-13 15:19  mortene

	* src/glue/gl.c:
	
	Minor fix: avoid excessive error reporting for problematic OpenGL
	environment.

2004-12-13 13:29  pederb

	* src/fields/SoField.cpp:
	
	VRML97 copy bugfix. Copy all connections.

2004-12-13 09:42  pederb

	* src/vrml97/Interpolator.cpp:
	
	UMR fix (harmless).

2004-12-10 12:58  mortene

	* src/glue/dl.c:
	
	Bugfix: need to check cc_dl_sym() with a function from the *public*
	API.

2004-12-10 12:04  mortene

	* configure.ac, src/glue/dl.c, src/glue/gl_glx.c,
	src/glue/gl_wgl.c:
	
	Bugfixes: dynamic fetching of OpenGL symbols had various problems.
	This fixes all known issues.

2004-12-09 20:04  kyrah

	* src/glue/dl.c:
	
	Nitpicking. Success is not an error condition.

2004-12-09 16:54  mortene

	* src/glue/gl_agl.c:
	
	Compile fix.

2004-12-09 14:13  mortene

	* configure.ac, src/glue/dl.c:
	
	Figure out and use system names on Coin and OpenGL dynamic libs.

2004-12-09 14:12  mortene

	* src/base/: SbVec3d.cpp, SbVec3f.cpp:
	
	Mark functions removed from Coin 3 as deprecated.

2004-12-08 17:38  mortene

	* include/Inventor/C/glue/dl.h, include/Inventor/C/glue/dlp.h,
	src/glue/dl.c, src/glue/gl.c, src/glue/gl_agl.c, src/glue/gl_glx.c,
	src/glue/gl_wgl.c:
	
	Bugfix: OpenGL symbols could not always be fetched from process
	image handle. This is an improvement because we now detect this and
	go on trying successively the Coin handle and the OpenGL handle.

2004-12-07 09:00  mortene

	* include/Inventor/annex/HardCopy/SoVectorizeAction.h:
	
	Compatibility: better compile-time compatibility with source code
	migrating from TGS Inventor to Coin.

2004-12-06 16:17  pederb

	* include/coindefs.h:
	
	correct copyright header.

2004-12-06 14:20  sit

	* src/draggers/SoTransformBoxDragger.cpp:
	
	set SoAntiSquish sizing and recalcAlways to default

2004-12-06 10:20  sit

	* src/draggers/SoTabPlaneDragger.cpp:
	
	set renderCaching to default so scaleTabs don't gets written out.

2004-12-06 10:18  sit

	* src/nodekits/SoBaseKit.cpp:
	
	fix bug 125 dragger writing incorrect. Let is_default_node() also
	check node with children. Remove incorrect check which sets all
	dragger fields to non-default

2004-12-02 19:48  kyrah

	* src/glue/gl_glx.c:
	
	Minor debug output improvement.

2004-12-02 19:20  kyrah

	* src/glue/dl.c:
	
	Mac OS X fix: Simulate the behaviour of dlopen(NULL) to return a
	handle to the current process image.
	
	This fixes the SoSceneTexture2 crash (Bug # 145) on Mac OS X/GLX
	(which was due to us failing to bind glXGetCurrentDisplay()).

2004-12-02 17:26  tamer

	* bin/coin-config:
	
	sh compatibility fix for platforms where sh is not a symlink to
	bash (such as OpenBSD)

2004-11-30 15:11  pederb

	* include/coindefs.h:
	
	compile fix.

2004-11-29 17:41  pederb

	* src/engines/SoEngine.cpp:
	
	Copy engine bugfix. Reported by Gerhard Reitmayr.

2004-11-26 14:28  kyrah

	* src/misc/SoOffscreenRenderer.cpp:
	
	Better debugging output:   - failure in versionMatchesAtLeast() can
	mean either wrong     version or simage not being available at all
	(e.g. due to an     error in dlopen() earlier)	 - make warning
	about missing/wrong simage dependent on    
	COIN_DEBUG_SOOFFSCREENRENDERER environment variable for     remote
	debugging

2004-11-26 14:05  kyrah

	* src/glue/dl.c:
	
	Spit out debug info about the library pathwe are using.

2004-11-24 15:09  pederb

	* include/Inventor/fields/SoField.h, src/fields/SoField.cpp,
	src/fields/SoSFTrigger.cpp:
	
	Proper SoSFTrigger fix. Thanks to Gerhard Reitmayr.

2004-11-24 12:26  pederb

	* include/Inventor/fields/SoField.h, src/fields/SoField.cpp:
	
	Fix SoSFTrigger handling. This field should never notify its
	container. Bug reported by Gerhard Reitmayr.

2004-11-24 03:30  larsa

	* configure.ac:
	
	cosmetics

2004-11-23 19:33  kyrah

	* src/glue/gl_agl.c:
	
	Fix for rectangle and non-power-of-2 pBuffers.

2004-11-23 16:09  pederb

	* src/engines/: SoConcatenate.cpp, SoGate.cpp, SoSelectOne.cpp:
	
	Bugfix for input type read error. Fix by Gerhard Reitmayr.

2004-11-23 09:49  pederb

	* src/caches/SoGLCacheList.cpp:
	
	Fix recently introduced context cleanup bug. Bug reported by Kurt
	Schwehr and Kyrah.

2004-11-22 14:14  pederb

	* THANKS:
	
	Add Roy Walmsley.

2004-11-22 14:13  pederb

	* include/Inventor/nodes/: SoSubNode.h, SoSubNodeP.h:
	
	Avoid multiple calls to coin_atexit in node constructors. Bug
	reported by Roy Walmsley.

2004-11-17 11:38  mortene

	* include/Inventor/actions/SoHandleEventAction.h:
	
	Compatibility: add #include for better compatibility with SGI/TGS
	Inventor client code.

2004-11-17 11:15  mortene

	* include/Inventor/nodes/SoNode.h:
	
	Compatibility: add #include for better compatibility with SGI/TGS
	Inventor client code.

2004-11-17 10:29  pederb

	* src/nodes/SoBumpMapCoordinate.cpp:
	
	Doc update.

2004-11-16 13:59  mortene

	* include/Inventor/nodes/SoVertexProperty.h:
	
	Compatibility issue: #include a few node headers, to be
	compile-time compatible with client code migrating from SGI / TGS
	Inventor.

2004-11-15 12:32  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Fix for recently introduced extension nodekit read error. Bug
	reported by Gerhard Reitmayr.

2004-11-14 16:51  mortene

	* README.WIN32,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	src/base/SbClip.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/fields/SoFieldData.cpp, src/glue/gl.c,
	src/manips/SoTransformBoxManip.cpp, src/misc/SoChildList.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/misc/cppmangle.icc,
	src/nodes/SoAnnotation.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoTransformation.cpp, src/shapenodes/SoVertexShape.cpp,
	src/threads/mutex.c:
	
	Doc: various API doc additions, FIXMEs, code comments, etc.

2004-11-12 15:46  mortene

	* cfg/wrapmsvc.exe:
	
	Bootstrap.

2004-11-12 15:44  mortene

	* configure.ac:
	
	Move perl-test outside the HTML/man block of tests.

2004-11-10 17:25  pederb

	* THANKS:
	
	Adds Doug Gehringer

2004-11-10 17:24  pederb

	* src/elements/SoLazyElement.cpp:
	
	Range check in getTransparency(). Bug reported by Doug Gehringer.

2004-11-09 12:29  pederb

	* THANKS:
	
	Adds Jean Roy.

2004-11-09 12:16  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Postscript export bugfix. Bug reported by Jean Roy.

2004-11-08 13:33  mortene

	* src/misc/SoDB.cpp:
	
	FIXME comments: misc notes about the multiple-instances-in-process
	problem.

2004-11-08 12:50  pederb

	* include/Inventor/SoOutput.h, src/actions/SoWriteAction.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/io/Makefile.am, src/io/SoOutput.cpp,
	src/io/SoWriterefCounter.cpp, src/io/SoWriterefCounter.h,
	src/misc/SoBase.cpp, src/misc/SoPath.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoUnknownNode.cpp:
	
	Writeref cleanup from Coin development. Fixes a couple of VRML97
	writecounting bugs.

2004-11-08 11:01  mortene

	* src/vrml97/: Anchor.cpp, Appearance.cpp, AudioClip.cpp,
	Background.cpp, Billboard.cpp, Box.cpp, Collision.cpp, Color.cpp,
	ColorInterpolator.cpp, Cone.cpp, CoordinateInterpolator.cpp,
	Cylinder.cpp, CylinderSensor.cpp, DirectionalLight.cpp,
	DragSensor.cpp, ElevationGrid.cpp, Extrusion.cpp, Fog.cpp,
	FontStyle.cpp, Group.cpp, ImageTexture.cpp, IndexedFaceSet.cpp,
	IndexedLineSet.cpp, Inline.cpp, Interpolator.cpp, LOD.cpp,
	Material.cpp, MovieTexture.cpp, NavigationInfo.cpp,
	NormalInterpolator.cpp, OrientationInterpolator.cpp,
	PixelTexture.cpp, PlaneSensor.cpp, PointLight.cpp, PointSet.cpp,
	PositionInterpolator.cpp, ScalarInterpolator.cpp, Script.cpp,
	Shape.cpp, Sound.cpp, Sphere.cpp, SphereSensor.cpp, SpotLight.cpp,
	Switch.cpp, Text.cpp, TimeSensor.cpp, TouchSensor.cpp,
	Transform.cpp, Viewpoint.cpp:
	
	API doc: update external links to VRML97 spec.

2004-11-04 15:15  sit

	* src/fields/SoFieldData.cpp:
	
	bugfix should return TRUE to be able to read unknown fields later

2004-11-04 15:13  sit

	* src/nodekits/SoBaseKit.cpp:
	
	bugfix reading nested nodekit parts fails

2004-11-03 16:44  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	support for SoContextHandler.

2004-11-03 16:30  pederb

	* src/caches/SoGLCacheList.cpp:
	
	support for SoContextHandler.

2004-11-03 16:26  pederb

	* src/misc/SoGLImage.cpp:
	
	support for SoContextHandler.

2004-11-03 13:07  thammer

	* FAQ:
	
	Added Q&A about .NET compatibility

2004-11-02 12:43  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Bugfix: must also check whether the triangle primitive callback is
	set or not before calling it.

2004-11-02 12:35  mortene

	* THANKS, src/nodes/SoExtSelection.cpp:
	
	Bugfix: selecting lines or points when in VISIBLE_SHAPES mode would
	crash unless setLineSegmentFilterCallback() or
	setPointFilterCallback() was used. Problem reported by

2004-10-28 20:25  mortene

	* src/nodes/SoExtSelection.cpp:
	
	FIXME comment about implementation nastiness.

2004-10-28 20:24  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Bugfix: supposed bug workaround for ATI cards _caused_ a bug with
	SoExtSelection by silently forcing tiled rendering. The workaround
	code was however only hiding a bug, which was fixed a while ago, so
	it should be killed anyway.

2004-10-28 14:51  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Bugfix: take care of overflow problems, which caused a completely
	non-working VISIBLE_SHAPES selection policy.

2004-10-28 12:36  pederb

	* src/: elements/GL/SoGLCacheContextElement.cpp,
	misc/SoContextHandler.cpp:
	
	Avoid warnings by removing the context cleanup function. Change
	priority of SoContextHandler atexit function to make it trigger
	after SoGLCacheContextElement atexit.

2004-10-28 11:50  pederb

	* src/misc/SoContextHandler.cpp:
	
	Process callbacks FILO.

2004-10-28 11:23  pederb

	* src/fields/SoGlobalField.cpp:
	
	Don't use SoDebugError in atexit/cleanup functions.

2004-10-28 10:13  mortene

	* src/misc/SoContextHandler.cpp:
	
	Bugfix: don't use SoDebugError in atexit cleanup.

2004-10-28 08:20  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Tiny bugfix: %u for unsigned int in debug output.

2004-10-27 17:57  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Bugfix: calculation of number of colors available in the GL buffer
	was prone to overflow errors. Also, did various code cleanups and
	added an COIN_DEBUG_SOEXTSELECTION envvar.

2004-10-27 14:42  pederb

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/GL/SoGLCacheContextElement.cpp:
	
	Add support for SoContextHandler.

2004-10-25 17:25  larsa

	* configure.ac:
	
	bugfix

2004-10-25 11:23  mortene

	* src/io/SoInput.cpp:
	
	Bugfix: was writing to and reading from the same char[]
	simultaneously.

2004-10-22 15:16  larsa

	* configure.ac:
	
	bugfix

2004-10-22 15:05  mortene

	* src/io/SoInput.cpp:
	
	Compatibility fix: allow SoInput instance to be made before
	SoDB::init() was invoked, as can be done with SGI Inventor.

2004-10-21 15:29  pederb

	* src/hardcopy/VectorizePSAction.cpp:
	
	setdash limit workaround. Bug reported by Ole Jacob Hagen.

2004-10-21 15:16  mortene

	* THANKS, src/misc/cppmangle.icc:
	
	HP-UX fix: add name mangling scheme for aCC compiler. Submitted by
	Clemens von Mann.

2004-10-21 13:08  larsa

	* configure.ac:
	
	fix problems with static library mode and debug mode for windows
	builds

2004-10-21 13:00  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Bugfix: make sure wasShiftDown() returns the correct value. Problem
	reported by Stefan Rauch.

2004-10-21 12:58  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Code-style: minor cleanups.

2004-10-20 14:09  barbara

	* docs/doxygen/Coin_logo.png:
	
	Update Coin logo.

2004-10-19 19:09  mortene

	* src/misc/SoBase.cpp:
	
	Debug: only track objects when debug envvar is set, to avoid
	unnecessary overhead.

2004-10-19 18:28  mortene

	* include/Inventor/SbViewportRegion.h,
	src/base/SbViewportRegion.cpp:
	
	API fix: provide inequality operator for SbViewportRegion.

2004-10-19 16:01  mortene

	* src/glue/dl.c:
	
	Bugfix: HP-UX 11 would complain on dlclose() on handles from
	dlopen(NULL).

2004-10-19 00:17  tamer

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:
	
	small compile fix.

2004-10-18 14:54  mortene

	* src/misc/SoDB.cpp:
	
	Bugfix: version setting was wrong for some Inventor file headers.

2004-10-18 14:53  mortene

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:
	
	Implementation: for compatibility, add createRoute() and
	removeRoute(), as found in the TGS Inventor API.

2004-10-18 14:46  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Implementation: un-stubbed getEventOut() and getEventIn().

2004-10-18 02:21  kyrah

	* configure.ac:
	
	Removed unnecessary passing of AGL linker flags (-framework
	ApplicationServices, -framework AGL) into coin-config default
	configuration.

2004-10-17 00:50  kyrah

	* configure.ac:
	
	Mac OS 10.1 build fix.
	
	Removed unnecessary -lobjc option (this is only needed when linking
	against GLUT, but there you'll have to tweak the linker line
	manually anyway)

2004-10-15 10:48  pederb

	* THANKS:
	
	Add Stefan Rauch.

2004-10-15 10:39  pederb

	* src/draggers/SoDragger.cpp:
	
	Don't mark event as handled if dragger hasn't moved when the mouse
	button is released. Bug reported by Stefan Rauch.

2004-10-15 10:39  pederb

	* src/nodes/SoSelection.cpp:
	
	pickFilter compatibility fix. Bug reported by Stefan Rauch.

2004-10-12 15:33  pederb

	* THANKS:
	
	Sync with Coin-dev.

2004-10-12 15:24  pederb

	* src/vrml97/: VertexLine.cpp, VertexShape.cpp:
	
	VRML97 generatePrimitives() bugfix. Bug reported by H. Väisänen.

2004-10-11 15:28  larsa

	* src/nodekits/SoNodeKitListPart.cpp:
	
	bugfix (make sound work inside nodekits) by Gerhard Reitmayr

2004-10-11 13:05  mortene

	* src/misc/SoBase.cpp:
	
	Minor code clean-up: use a private class instead of
	sobase_-prefixed static variables.

2004-10-11 12:55  mortene

	* src/misc/SoBase.cpp:
	
	Debug: adds a dict tracking all SoBase-derived instances, to make
	it possible to get a dump at app exit to check for mem leaks.
	Clean-up: SoBase static data is now cleaned up even for release
	builds.

2004-10-08 20:12  kyrah

	* FAQ:
	
	Updated info on Coin/Mac.

2004-10-08 16:55  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	reenable triangle sorting.

2004-10-08 16:48  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Disable triangle sorting.

2004-10-08 16:45  pederb

	* src/shapenodes/SoShape.cpp:
	
	Improved (hopefully) vertex array caching.

2004-10-08 09:57  pederb

	* src/glue/dl.c:
	
	Compile fix.

2004-10-07 19:10  larsa

	* src/nodes/SoExtSelection.cpp:
	
	callback order fix

2004-10-06 19:02  kyrah

	* cfg/errors.txt:
	
	Bootstrap.

2004-10-06 13:55  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Give a warning when rendering without cameras.

2004-10-06 13:49  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Minor FIXME: suggest fix for better robustness in tiled rendering.

2004-10-05 14:49  kyrah

	* configure.ac:
	
	Added --enable-darwin-x11 flag to force X11 linkage on Darwin/Mac
	OS X. In this case, we also link against -lGL instead of -framework
	OpenGL, and use GLX instead of AGL.

2004-10-04 15:24  pederb

	* src/caches/SoCache.cpp:
	
	How to create a cache doc.

2004-10-04 15:05  pederb

	* src/vrml97/Parent.cpp:
	
	Be a bit less lazy when handling the internal child list.

2004-10-04 14:13  mortene

	* src/shapenodes/soshape_bumprender.cpp:
	
	Minor clean-up: don't use private members in struct.

2004-09-30 16:49  pederb

	* src/fonts/win32.c:
	
	Fixed Win32 crash-on-font-cleanup bug. Reported by Duncan Soutar.
	Bug was introduces right before Coin 2.3.

2004-09-29 23:58  tamer

	* src/glue/freetype.c:
	
	removed superfluous error message output.

2004-09-29 23:26  tamer

	* src/fonts/win32.c:
	
	win32 antialiasing support.

2004-09-29 20:03  tamer

	* src/nodes/SoFont.cpp:
	
	doc update on fontconfig.

2004-09-29 16:50  pederb

	* src/glue/dl.c:
	
	win32 compile fix.

2004-09-29 16:44  tamer

	* src/glue/freetype.c:
	
	added environmental COIN_FORCE_FONTCONFIG_OFF override to disable
	usage of fontconfig.

2004-09-29 13:38  tamer

	* src/fonts/fontspec.c:
	
	added a workaround to handle the previously allowed :Bold Italic
	style specification in case of fontconfig usage.  small code style
	fixes.

2004-09-29 12:23  mortene

	* src/glue/dl.c:
	
	Debug: more debug info on COIN_DEBUG_DL=1, trying to track down a
	HP-UX 11.0 problem.

2004-09-29 10:21  pederb

	* src/glue/freetype.c:
	
	Bugfix for recently introduced bug.

2004-09-26 21:43  tamer

	* src/glue/freetype.c:
	
	Fontconfig runtime linking.

2004-09-26 21:42  tamer

	* include/Inventor/C/glue/freetype.h:
	
	Fontconfig runtime linking.  added additional freetype defines
	needed for antialiased font rendering.

2004-09-26 21:41  tamer

	* src/shapenodes/SoText2.cpp:
	
	antialiased font rendering support.

2004-09-26 21:40  tamer

	* src/fonts/win32.c:
	
	filled mono struct member with hardcoded value. see FIXME.

2004-09-26 21:39  tamer

	* src/fonts/glyph3d.c:
	
	small code style fix and whitespace removal.

2004-09-26 21:37  tamer

	* src/fonts/: glyph2d.c, glyph2d.h:
	
	added mono member to glyph struct to indicate if we are dealing
	with monochrome or antialised gray level bitmaps.  added
	cc_glyph2d_getmono function to query the mono value.  adapted
	bitmapwidth to handle the new situation.

2004-09-26 21:36  tamer

	* src/fonts/fontlib_wrapper.c:
	
	added new struct member to indicate monochrome or antialised gray
	level bitmaps.	pass through needed fontsize for possible
	fontconfig font pattern matches.  bugfix for the case where a
	vectorglyph couldn't be created. need to indicate default font
	otherwise the wrong advance value in cc_flw_get_vector_advance() is
	picked up and glyphs were drawn on top of each other.

2004-09-26 21:35  tamer

	* src/fonts/fontlib_wrapper.h:
	
	added new struct member to indicate monochrome or antialised gray
	level bitmaps....

2004-09-26 21:35  tamer

	* src/fonts/: freetype.c, freetype.h:
	
	fontconfig support. antialiased freetype font rendering support for
	outline fonts.	handling for bitmapped fonts.

2004-09-26 21:32  tamer

	* configure.ac:
	
	added fontconfig setup. small consistency fix for freetype summary
	output.

2004-09-24 15:15  pederb

	* src/glue/zlib.c:
	
	Add zlib1.dll as a possible zlib library name.

2004-09-24 11:26  pederb

	* src/vrml97/IndexedFaceSet.cpp:
	
	Fix potential bug.

2004-09-23 11:18  pederb

	* src/nodes/SoTextureCombine.cpp:
	
	More doc.

2004-09-23 11:13  pederb

	* src/shapenodes/SoTriangleStripSet.cpp:
	
	Doc. fix.

2004-09-23 10:00  pederb

	* src/nodes/SoTextureCombine.cpp:
	
	more doc.

2004-09-22 15:48  pederb

	* src/draggers/SoTabPlaneDragger.cpp:
	
	Workaround for bug reported by Stefan Rauch.

2004-09-22 14:47  pederb

	* src/nodes/SoTextureScalePolicy.cpp:
	
	Doc. update.

2004-09-20 16:38  mortene

	* src/tidbits.c:
	
	Debug: broadcast when atexit cleanup functions are all done.

2004-09-20 16:32  mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Debug: make it possible to trace the invocation of exit cleanup
	functions by turning on an envvar.

2004-09-20 12:00  mortene

	* src/glue/gl.c:
	
	Robustness: make sure only one of WGL, AGL and GLX is attempted
	used.

2004-09-16 17:25  pederb

	* src/vrml97/ElevationGrid.cpp:
	
	ElevationGrid texture coordinate bugfix. Reported by Daniele
	Bellandi.

2004-09-16 16:54  larsa

	* cfg/coin.m4:
	
	fix some Bourne shell syntax

2004-09-15 16:31  larsa

	* coin.cfg.in, bin/coin-config:
	
	add htmldir config

2004-09-13 02:15  tamer

	* src/fonts/glyph3d.c:
	
	small spelling fix.

2004-09-09 15:39  handegar

	* src/base/SbPlane.cpp:
	
	Fixed plane-plane intersection bug.

2004-09-08 13:21  handegar

	* src/base/SbPlane.cpp:
	
	Extended the SbPlane::intersect() doc.

2004-09-08 12:23  mortene

	* src/glue/gl.c:
	
	Bugfixes: deactivate register combiners and fragment programs if
	functions are missing in release mode aswell (this was a serious
	bug). Don't pass out warnings of not-so-serious problems in release
	mode (minor bug).

2004-09-08 11:24  mortene

	* src/glue/: bzip2.c, freetype.c, zlib.c:
	
	Minor bugfix: reporting unavailability as an error condition is the
	responsibility of the caller.

2004-09-08 10:41  mortene

	* src/misc/: SoOffscreenAGLData.icc, SoOffscreenGLXData.icc,
	SoOffscreenWGLData.icc:
	
	Obsoleted, code moved to .h and .cpp files.

2004-09-07 16:40  kintel

	* packaging/macosx/: inst-README-Panther.txt.in,
	noinst-README-Panther.txt.in:
	
	Updates related to Jaguar support for gcc-3.3 compiled frameworks

2004-09-07 16:01  kintel

	* src/glue/gl_agl.c:
	
	Compile fix; the cleanup was too clean

2004-09-07 16:01  kintel

	* src/glue/dl.c:
	
	Don't include dlfcn.h if we have dyld support

2004-09-07 10:23  frodo

	* include/Inventor/nodekits/SoSubKit.h:
	
	macros for abstract nodekit subclasses

2004-09-06 17:06  frodo

	* include/Inventor/nodekits/SoSubKit.h:
	
	macros for abstract nodekit subclasses

2004-09-04 13:31  pederb

	* src/misc/SoGL.cpp:
	
	Fix for recently introduced bbox rendering bug.

2004-09-02 14:29  pederb

	* src/vrml97/Background.cpp:
	
	Support for COIN_VIEWUP environment variable.

2004-09-02 13:38  mortene

	* include/coindefs.h:
	
	Bugfix: check compiler's function name variable separately for C
	and C++ compiler.

2004-09-02 12:46  pederb

	* src/misc/: SoGLTristripTemplate.icc,
	SoGLnonindexedFaceSetTemplate.icc,
	SoGLnonindexedTristripSetTemplate.icc:
	
	Render code updated for nvidia color-per-face bug workaround.

2004-09-02 11:35  mortene

	* src/io/SoInput.cpp:
	
	Robustness: catch missing SoDB::init() by assert instead of
	crashing.

2004-09-02 10:58  pederb

	* include/Inventor/C/glue/glp.h, src/bundles/SoMaterialBundle.cpp,
	src/elements/GL/SoGLLazyElement.cpp, src/glue/gl.c,
	src/misc/SoGLFaceSetTemplate.icc, src/shapenodes/SoShape.cpp,
	src/vrml97/IndexedFaceSet.cpp, src/vrml97/IndexedLineSet.cpp:
	
	A better workaround for the nVIDIA color-per-face bug.

2004-09-02 10:53  mortene

	* src/misc/SoState.cpp:
	
	Doc: API doc addition.

2004-09-02 10:52  mortene

	* include/Inventor/C/glue/gl_glx.h, include/Inventor/C/glue/glp.h,
	src/glue/gl_agl.c, src/glue/gl_glx.c, src/glue/gl_wgl.c,
	src/glue/normalization_cubemap.c, src/misc/SoOffscreenRenderer.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoSceneTexture2.cpp:
	
	Clean up header inclusion for the private glue/glp.h.

2004-09-02 10:49  mortene

	* configure.ac, src/glue/gl.c:
	
	Minor fix: protection against multiple definitions of
	OpenGL<->windowsystem bindings was unnecessary, already taken care
	of in configure-script.

2004-09-01 17:15  pederb

	* include/Inventor/C/glue/glp.h, src/shapenodes/SoShape.cpp,
	src/glue/gl.c, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLineSet.cpp:
	
	Workaround for nVidia color-in-displaylist bug.

2004-09-01 17:02  jornskaa

	* src/io/: SoInput.cpp, SoInput_FileInfo.cpp:
	
	Fix when loading VRML1.0 files. Comma is now an invalid character
	in names. Removed wrong assert in SoInput_FileInfo

2004-09-01 15:51  mortene

	* src/vrml97/Background.cpp:
	
	Compile fix: added missing include.

2004-09-01 14:55  mortene

	* src/engines/SoConvertAll.cpp:
	
	Memleak fix, by Winnie E. Wong.

2004-09-01 11:30  pederb

	* README.VRML97:
	
	update.

2004-09-01 09:29  pederb

	* src/misc/SoGL.cpp:
	
	Optimize rendering by encouraging auto caching for cubes, spheres,
	cylinders and cones.

2004-08-31 14:41  mortene

	* include/Inventor/MPEG/Makefile.am:
	
	Build fix: was using wrong template for generated blocks.

2004-08-31 14:41  mortene

	* src/shapenodes/: SoAsciiText.cpp, SoText3.cpp:
	
	Minor fix: better handling of element controlling non-implemented
	outline mode.

2004-08-31 11:57  pederb

	* src/shapenodes/SoShape.cpp:
	
	Test if vertex array rendering can be done before rendering
	COIN_USE_GL_VERTEX_ARRAY style. Bug reported by Mark D. Anderson.

2004-08-31 10:32  pederb

	* src/upgraders/SoUpgrader.cpp:
	
	Optimize loading for old files by adding a dictionary for
	upgradeable nodes.

2004-08-31 10:09  thammer

	* README.WIN32:
	
	Fix erroneous link. Specify download location for binary installer.

2004-08-31 09:50  larsa

	* src/misc/SoType.cpp:
	
	fixme note

2004-08-26 19:41  kyrah

	* src/Makefile.am:
	
	Mac OS 10.1 build fix: Don't use -headerpad_max_install_names
	(which was introduced in 10.2). Reported by kintel.

2004-08-26 11:43  pederb

	* src/shapenodes/: SoAsciiText.cpp, SoText3.cpp:
	
	Fix for recently introduced assert failure.

2004-08-24 21:08  thammer

	* src/shapenodes/SoText3.cpp:
	
	Bugfix: Output warning for debug builds only

2004-08-23 12:45  mortene

	* configure.ac, include/Inventor/Makefile.am,
	include/Inventor/MPEG/Makefile.am,
	include/Inventor/MPEG/SoMPEGFrameRenderer.h,
	include/Inventor/MPEG/SoMPEGRenderer.h, src/Makefile.am,
	src/mpeg/Makefile.am, src/mpeg/SoMPEGFrameRenderer.cpp,
	src/mpeg/SoMPEGRenderer.cpp, src/mpeg/all-mpeg-cpp.cpp:
	
	Skeleton files for MPEG support.

2004-08-23 12:42  mortene

	* configure.ac:
	
	Build fix: collision was not in the enable-hacking list.

2004-08-20 17:34  mortene

	* cfg/errors.txt:
	
	Bootstrap.

2004-08-20 17:33  mortene

	* include/Inventor/annex/HardCopy/Makefile.am,
	include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	include/Inventor/annex/HardCopy/SoVectorizeHPGLAction.h,
	src/hardcopy/CGMVectorOutput.cpp, src/hardcopy/GDIVectorOutput.cpp,
	src/hardcopy/HPGLVectorOutput.cpp, src/hardcopy/HardCopy.cpp,
	src/hardcopy/Makefile.am, src/hardcopy/VectorizeCGMAction.cpp,
	src/hardcopy/VectorizeGDIAction.cpp,
	src/hardcopy/VectorizeHPGLAction.cpp:
	
	Skeleton files for supporting additional vector output formats.

2004-08-20 15:51  mortene

	* docs/coin.doxygen.in, include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoPattern.h, src/nodes/Makefile.am,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoAnnoText3Property.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoPattern.cpp,
	src/nodes/all-nodes-cpp.cpp:
	
	Skeletons for new nodes SoPattern, SoAnnoText3 and
	SoAnnoText3Property.

2004-08-20 15:46  mortene

	* include/Inventor/nodes/: SoNode.h, SoSubNodeP.h:
	
	New version defines in anticipation of Coin 2.4 (some new nodes are
	planned to be added).

2004-08-20 15:30  mortene

	* src/: elements/SoTextOutlineEnabledElement.cpp,
	shapenodes/SoAsciiText.cpp, shapenodes/SoText3.cpp:
	
	FIXME: warn about lack of implementation of the
	SoTextOutlineEnabledElement feature in Coin.

2004-08-20 15:17  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	Sort triangles in cache to get more GPU vertex cache hits.

2004-08-18 17:34  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:
	
	Fixed ugly COIN_USE_GL_VERTEX_ARRAYS bug.

2004-08-18 14:45  mortene

	* include/Inventor/caches/SoGlyphCache.h,
	include/Inventor/system/gl.h.in, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoRayPickAction.cpp, src/caches/SoCache.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/errors/SoError.cpp, src/events/SoEvent.cpp, src/glue/gl.c,
	src/glue/gl_wgl.c, src/misc/SoContextHandler.cpp,
	src/misc/SoDB.cpp, src/misc/SoGLBigImage.cpp,
	src/misc/SoNotification.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/shapenodes/SoAsciiText.cpp:
	
	Doc fixes: various FIXME notes and API doc additions.

2004-08-18 14:40  mortene

	* src/glue/GLUWrapper.c:
	
	Robustness: don't crash on missing extensions string.

2004-08-18 14:37  mortene

	* src/base/hash.c:
	
	Debug aid: catch a common error early.

2004-08-18 14:32  mortene

	* src/tidbits.c:
	
	Robustness: safer vsnprintf() invocations. Also refactored a little
	bit, to clean up the code.

2004-08-12 22:32  mortene

	* include/Inventor/system/gl.h.in:
	
	Build fix: make sure the GLX pbuffer defines are available.

2004-08-12 16:30  jornskaa

	* src/: nodes/SoLinearProfile.cpp, nodes/SoNurbsProfile.cpp,
	shapenodes/SoText3.cpp:
	
	Robustness update for SoNurbsProfile and SoText3. Removed redundant
	initialization in SoLinearProfile

2004-08-11 16:35  jornskaa

	* src/nodes/SoLinearProfile.cpp:
	
	Partly fixed bug130 (completely fixed in Coin-dev). Fixing
	completely for Coin-2 breaks ABI compatibility

2004-08-11 10:25  jornskaa

	* src/shapenodes/SoQuadMesh.cpp:
	
	Added robustness tests

2004-08-10 19:31  jornskaa

	* src/misc/: SoGLqmeshTemplate.icc,
	SoGLqmeshpreciselightingTemplate.icc:
	
	Added assert to make sure row, cols and start are positive

2004-08-10 19:14  jornskaa

	* src/shapenodes/SoFaceSet.cpp:
	
	Robustness fix. Normal generation and rendering has been made more
	robust

2004-08-10 12:37  jornskaa

	* src/misc/SoGLindexedLineSetTemplate.icc:
	
	Robustness update. Now prints errormessage on most errors

2004-08-10 11:22  jornskaa

	* src/misc/SoGLFaceSetTemplate.icc:
	
	Robustness update. Print errormessage on most errors

2004-08-09 17:46  jornskaa

	* src/misc/SoGLnonindexedFaceSetTemplate.icc:
	
	Finished old robustness fix

2004-08-09 16:48  jornskaa

	* src/misc/SoGLFaceSetTemplate.icc:
	
	Made rendering of indexed face sets a little more robust

2004-08-09 16:17  jornskaa

	* src/misc/SoGLFaceSetTemplate.icc:
	
	Finished old fix. Robustness update

2004-08-09 15:31  jornskaa

	* src/misc/SoGLindexedLineSetTemplate.icc:
	
	Finished old bugfix. This fixes bug032, robustness when an illegal
	lineset is specified

2004-08-09 15:05  jornskaa

	* src/draggers/SoTransformerDragger.cpp:
	
	Bugfix: bug019, problem with CTRL key press and release during
	dragging. Also fixed translation bug not in the buglist -
	everything went crazy when pressing shift and dragging. Cleaned up
	some code

2004-08-07 16:51  jornskaa

	* src/projectors/SbLineProjector.cpp:
	
	Minor bugfix. If line start and start+dir are equal, return that
	point, not two x-coordinates

2004-08-07 16:40  jornskaa

	* src/draggers/SoTabPlaneDragger.cpp:
	
	Fixed bug017 for SoTabPlaneDragger. Geometry no longer jumps when
	scale is very low

2004-08-06 13:18  jornskaa

	* src/base/SbMatrix.cpp:
	
	Added doc to explain column-order/row-order matrices better

2004-08-06 09:55  jornskaa

	* src/draggers/SoTransformerDragger.cpp:
	
	Fix to make rotation more accurate/stable when scale is small

2004-08-06 09:44  jornskaa

	* src/draggers/SoDragger.cpp:
	
	Partly fixed bug 017, draggers now have a minimum scale restriction
	on their motionmatrices

2004-08-05 10:35  jornskaa

	* THANKS:
	
	Added Roberto Martinez to the THANKS list

2004-08-05 09:41  jornskaa

	* src/fields/SoFieldContainer.cpp:
	
	Bugfix: SoFieldContainer::get returned bogus string when node
	contained no fields. Bugreport and patch provided by Roberto
	Martinez

2004-08-04 14:09  jornskaa

	* src/draggers/SoTransformerDragger.cpp:
	
	Implemented missing functionality when shift was released while
	dragging, and made the dragger behave better

2004-08-04 11:01  handegar

	* src/glue/gl.c:
	
	Debug message fix.

2004-08-02 19:48  mortene

	* include/Inventor/C/basic.h.in:
	
	Provide COIN_BETA_VERSION define for external aswell as internal
	code.

2004-08-02 17:07  jornskaa

	* src/draggers/SoTransformerDragger.cpp:
	
	Fixed bug018: transformation matrix can end up shearing

2004-07-26 20:14  jornskaa

	* src/nodes/SoTextureScalePolicy.cpp:
	
	Doc update

2004-07-26 19:50  jornskaa

	* src/shapenodes/: soshape_bigtexture.cpp, soshape_bigtexture.h:
	
	Bugfix: SoGLBigImage did not work correctly with REPEAT or CLAMP
	mode. This has now been fixed

2004-07-24 17:39  mortene

	* data/draggerDefaults/rotateSphericalDragger.iv,
	src/nodekits/SoBaseKit.cpp:
	
	Bugfix: dragger geometry looked different on one of my development
	machines.

2004-07-24 17:37  mortene

	* docs/coin.doxygen.in:
	
	Minor doc fix: grammar.

2004-07-24 13:54  mortene

	* data/draggerDefaults/centerballDragger.iv:
	
	Doc: more info on recent bugfix.

2004-07-24 13:49  mortene

	* data/draggerDefaults/centerballDragger.iv:
	
	Bugfix: backfacing line primitives disappeared due to default
	SoDragger::GLRender() settings, on some systems (at least on an
	NVidia RIVA TNT2).

2004-07-24 13:16  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Debug: add envvar to control whether to write nodekits as nodekits
	upon export, or to dump their scene graphs instead.

2004-07-23 10:04  jornskaa

	* src/shapenodes/soshape_bigtexture.cpp:
	
	Reverse. Patch needs more testing, sorry

2004-07-23 09:52  jornskaa

	* src/shapenodes/soshape_bigtexture.cpp:
	
	need to clamp the texture correctly first

2004-07-23 09:41  jornskaa

	* src/shapenodes/soshape_bigtexture.cpp:
	
	This should fix the SoGLBigImage problem when using REPEAT mode on
	texturecoordinates outside range [0 1]

2004-07-21 17:04  jornskaa

	* src/nodes/SoSwitch.cpp:
	
	small doc fix

2004-07-21 16:58  jornskaa

	* src/nodes/SoSwitch.cpp:
	
	Added doc for SO_SWITCH_INHERIT

2004-07-21 16:00  pederb

	* src/lists/SoPathList.cpp:
	
	Bugfix in SoPathList::sort(). Sort SoFullPath, not SoPath.

2004-07-21 11:46  jornskaa

	* src/misc/SoGLBigImage.cpp:
	
	Fixed but 085, reading outside arraybounds

2004-07-20 11:08  jornskaa

	* src/shapenodes/SoAsciiText.cpp:
	
	Updated SoAsciiText to calculate the width according to OIV

2004-07-19 15:27  jornskaa

	* src/misc/SoBase.cpp:
	
	Refined errormessage

2004-07-19 15:18  jornskaa

	* src/: io/SoInput.cpp, misc/SoBase.cpp:
	
	Made it possible to override strict VRML97 support and allow + as a
	valid startcharacter in names. Also indented the doc properly and
	modified the errormessage when not able to read DEFs

2004-07-19 14:05  jornskaa

	* src/io/SoInput.cpp:
	
	Compile fix. wrong arraysize. Reported by Gerhard Reitmayr

2004-07-19 09:31  jornskaa

	* src/shapenodes/SoAsciiText.cpp:
	
	Made some fixes to be entirely accurate with doc and minor code
	fix..

2004-07-18 16:40  jornskaa

	* src/shapenodes/SoAsciiText.cpp:
	
	Fixed bug 124, asciitext bounding box bug, and added doc image

2004-07-16 15:41  jornskaa

	* src/shapenodes/SoAsciiText.cpp:
	
	Doxygen fix and small doc fix

2004-07-16 13:51  jornskaa

	* src/shapenodes/SoAsciiText.cpp:
	
	Fixed bug 116: wrong width behavior, and cleaned up some code and
	added doc

2004-07-15 16:26  jornskaa

	* src/: shapenodes/SoAsciiText.cpp, vrml97/Text.cpp:
	
	The text nodes are now rendered/generated CCW

2004-07-15 15:27  jornskaa

	* src/shapenodes/SoText3.cpp:
	
	Fixed bug 124: text is now rendered/generated CCW

2004-07-15 11:47  mortene

	* src/fields/: SoMFName.cpp, SoSFName.cpp:
	
	Doc: code comment update.

2004-07-15 11:43  mortene

	* src/io/SoInput.cpp:
	
	Make recent API doc note on SoInput::read(SbName) more prominent,
	and add a few clarifications.

2004-07-15 11:36  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	FIXME update.

2004-07-15 10:53  jornskaa

	* src/: fields/SoMFName.cpp, fields/SoSFName.cpp, io/SoInput.cpp:
	
	Fixed recently introduced problem of reading name field values
	using read(SbName) to using read(SbString) instead. Also added doc
	to SoInput

2004-07-15 08:59  jornskaa

	* src/nodes/SoSurroundScale.cpp:
	
	Added doc to SoSurroundScale node of how I understood it.

2004-07-14 22:39  kyrah

	* src/glue/gl_agl.c:
	
	Fix copy/paste errors in debug output. (Yeah, I'm in -pedantic mode
	today...)

2004-07-14 22:33  mortene

	* src/: glue/gl.c, misc/SoOffscreenRenderer.cpp:
	
	FIXMEs about offscreen buffer dimensions, suggestions for more
	robust strategies.

2004-07-14 20:31  kyrah

	* src/glue/gl_agl.c:
	
	Left a note about the fact that you can always bind an AGL pBuffers
	as a texture (unlike in WGL). Update on old FIXME.

2004-07-14 19:06  jornskaa

	* src/io/SoInput.cpp:
	
	Fixed recently introduced problem with reading VRML1.0 files
	without spaces and cleaned up some more code

2004-07-13 20:45  mortene

	* src/glue/gl.c, src/glue/gl_glx.c,
	include/Inventor/C/glue/gl_glx.h:
	
	Implements checking for GLX_MAX_PBUFFER_* limits, for more robust
	offscreen rendering.

2004-07-13 19:01  jornskaa

	* src/io/SoInput.cpp:
	
	Fixed valid identifier problem for VRML-files and cleaned up some
	code

2004-07-13 17:56  mortene

	* src/nodes/SoSceneTexture2.cpp:
	
	API doc: improved class doc, removed bogus doc copied but not
	audited from SoTexture2.

2004-07-13 17:55  mortene

	* src/glue/gl_wgl.c:
	
	Bugfixes: 1. Don't ask for pbuffer render-to-texture if the
	extension is not available.  2. Don't demand render-to-texture for
	all pbuffers, fall back on non-texture-capable.

2004-07-13 15:39  mortene

	* src/glue/gl_wgl.c:
	
	Robustness: handle bug #117 as good as possible by warning that it
	is most likely a system problem.

2004-07-13 13:16  mortene

	* src/glue/: gl.c, gl_wgl.c:
	
	Pbuffer dimension limit checking now implemented for WGL, so we can
	be less strict with the offscreen buffer size clamping.

2004-07-13 13:13  mortene

	* include/Inventor/C/glue/gl_wgl.h, src/glue/gl_wgl.c:
	
	New functionality: implements pbuffer dimension limit checking.
	Also: various code clean-ups, report debug info as such and not as
	warnings.

2004-07-13 13:05  mortene

	* include/Inventor/system/gl.h.in:
	
	Additional enums we need.

2004-07-12 15:42  jornskaa

	* src/nodes/SoTransparencyType.cpp:
	
	Added doc image to show several transparency modes in a single
	scene

2004-07-12 14:50  jornskaa

	* src/actions/SoGLRenderAction.cpp:
	
	Added some comments to the doc, and made sure to override the
	transparency type when using SORTED_LAYERS_BLEND

2004-07-12 14:39  mortene

	* README.WIN32, include/Inventor/misc/SbHash.h,
	src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetMatrixAction.cpp, src/base/SbViewportRegion.cpp,
	src/fields/SoFieldContainer.cpp, src/glue/gl.c, src/misc/SoDB.cpp,
	src/misc/SoGlyph.cpp, src/misc/SoPath.cpp,
	src/nodes/SoSelection.cpp, src/nodes/SoUnknownNode.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp:
	
	Doc improvements.

2004-07-12 14:25  mortene

	* src/glue/gl.c:
	
	Debug: envvar to control reported availability of palette texture
	extensions.

2004-07-12 14:18  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Compile fix: corrects non-standard use of variable scope.

2004-07-12 14:15  mortene

	* src/glue/gl.c:
	
	Clean-up: simplify code and get better debug output upon unexpected
	fragment or vertex extensions problems.

2004-07-09 15:40  jornskaa

	* src/actions/SoGLRenderAction.cpp:
	
	Fixed most of bug080 with transparencytypes not being as expected.
	What is left to do is making the transparency work as expected with
	SORTED_LAYERS_BLEND

2004-07-09 14:05  mortene

	* include/Inventor/C/glue/dlp.h:
	
	Interface: don't add new functions to public API unless really
	needed.

2004-07-09 11:05  mortene

	* include/Inventor/caches/: SoGLCacheList.h, SoGLRenderCache.h:
	
	Interface fix: these two classes are SoEXTENDER in SGI Inventor, so
	they should be made part of public API.

2004-07-09 11:02  mortene

	* include/Inventor/bundles/SoNormalBundle.h:
	
	Interface fix: make note of adding class to public API from next
	minor release.

2004-07-09 10:55  mortene

	* include/Inventor/elements/SoClipPlaneElement.h,
	src/elements/SoClipPlaneElement.cpp:
	
	Clean-up: take internal class out of public scope.

2004-07-09 10:08  jornskaa

	* src/base/SbXfBox3f.cpp:
	
	Fixed bug094: problem with negative scaling of bounding boxes. Had
	to make sure the volume was positive

2004-07-08 16:16  jornskaa

	* src/draggers/: SoCenterballDragger.cpp,
	SoDirectionalLightDragger.cpp, SoDragPointDragger.cpp,
	SoHandleBoxDragger.cpp, SoJackDragger.cpp, SoPointLightDragger.cpp,
	SoRotateCylindricalDragger.cpp, SoRotateDiscDragger.cpp,
	SoRotateSphericalDragger.cpp, SoScale1Dragger.cpp,
	SoScale2Dragger.cpp, SoScale2UniformDragger.cpp,
	SoScaleUniformDragger.cpp, SoSpotLightDragger.cpp,
	SoTabBoxDragger.cpp, SoTabPlaneDragger.cpp, SoTrackballDragger.cpp,
	SoTransformBoxDragger.cpp, SoTransformerDragger.cpp,
	SoTranslate1Dragger.cpp, SoTranslate2Dragger.cpp:
	
	Added missing <string.h> include to the draggers

2004-07-08 14:46  mortene

	* include/Inventor/C/glue/dlp.h, src/glue/dl.c:
	
	Interface fix: corrected API expansion reminder.

2004-07-08 14:42  mortene

	* include/Inventor/SbBox3s.h:
	
	Minor doc fix: corrected comments from last commit.

2004-07-08 14:41  mortene

	* include/Inventor/SbBox3s.h:
	
	Interface fix: forgot to tag friend-operator functions for
	inclusion in Windows DLLs.

2004-07-08 12:56  mortene

	* src/nodes/SoMatrixTransform.cpp:
	
	Bugfix: consistently check isIgnored() flag for field for all
	action methods.

2004-07-08 12:46  mortene

	* configure.ac:
	
	Minor improvement: allow TrueType support in the same Coin library
	binary from both Win32 and FreeType.

2004-07-08 11:35  jornskaa

	* src/misc/SoDB.cpp:
	
	Added debug output when ascii-buffers end with the null-character

2004-07-08 09:33  jornskaa

	* src/misc/SoBase.cpp:
	
	Make sure all global fields get the new and updated fieldvalue by
	touching the field.

2004-07-07 18:37  jornskaa

	* src/misc/SoBase.cpp:
	
	Fix for when having multiple globalfields with the same name.
	Making sure references are correct and field values are copied
	correctly. Thanks to Gerhard Reitmayr for finding the bug and a
	patch to fix the problem

2004-07-07 15:58  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:
	
	A bit improved hash key function. Less chance of many vertices
	getting the same key.

2004-07-07 15:31  mortene

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:
	
	Clean-up: less hack-ish handling of hash-key generation for objects
	of internal class. Removes unnecessary bit-by-bit comparison
	operator.

2004-07-07 14:33  mortene

	* src/misc/SoSceneManager.cpp:
	
	Debug: adds debugging mechanism for tracing notifications invoking
	re-rendering.

2004-07-07 12:52  pederb

	* src/misc/SoGlyph.cpp:
	
	Fix for (quite) recently introduced bug in SoGlyph bitmap handling.

2004-07-07 12:20  mortene

	* src/nodes/SoFile.cpp:
	
	Debug: envvar for dumping SoFile import names.

2004-07-07 12:01  pederb

	* src/nodes/SoFile.cpp:
	
	Compile fix.

2004-07-07 11:54  jornskaa

	* src/nodes/SoFile.cpp:
	
	Fix for assertion test. Test for correct filename

2004-07-07 11:27  jornskaa

	* examples/misc/glut_tex.cpp, include/Inventor/SoInput.h,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp, src/io/SoInput.cpp,
	src/io/SoInput_FileInfo.cpp, src/misc/SoDB.cpp,
	src/misc/SoProto.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoWWWInline.cpp, src/vrml97/Background.cpp,
	src/vrml97/Inline.cpp:
	
	Cleanup of SoInput. Fix for various bugs. Major difference is the
	way popping of files happen. Also made sure strlen was used with
	the setBuffer method, not sizeof.

2004-07-06 18:22  kintel

	* src/fonts/fontlib_wrapper.c:
	
	Killed compiler warnings

2004-07-06 15:23  mortene

	* src/elements/GL/SoGLDisplayList.cpp:
	
	Clean-up: minor code rearrangements for readability and less code
	duplication.

2004-07-05 14:03  mortene

	* docs/msvc-ide-getting-started.txt:
	
	Obsoleted, info now part of Coin-for-Windows.

2004-07-05 12:57  pederb

	* src/actions/SoGetMatrixAction.cpp:
	
	Initialize SoViewportRegionElement before traversing.

2004-07-05 12:53  pederb

	* src/: nodes/SoSeparator.cpp, vrml97/Transform.cpp:
	
	Fix for SoGetMatrixAction units (SoUnitsElement) handling. Bug
	reported by Chris Scharver.

2004-07-02 15:56  mortene

	* include/Inventor/elements/Makefile.am,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/elements/SoGLDisplayList.h,
	src/caches/SoGLRenderCache.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/GL/SoGLDisplayList.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLImage.cpp,
	src/shapenodes/soshape_bumprender.cpp:
	
	Clean-up: split out declaration of SoGLDisplayList in its own
	header file.

2004-07-02 12:24  pederb

	* src/shapenodes/SoText3.cpp:
	
	Bugfix. SoLazyElement::getWInstance() causes a new element to be
	created.

2004-07-02 11:53  mortene

	* src/nodes/SoMaterialBinding.cpp:
	
	Correct API doc correction...

2004-07-02 11:51  pederb

	* src/io/SoInput.cpp:
	
	Bugfix in SoInput::read(char). checkHeader() might pop FileInfo.

2004-07-02 11:47  mortene

	* src/misc/SoOffscreenInternalData.h:
	
	Robustness: make sure glReadPixels() works as expected, independent
	of state settings. Also: flush GL pipeline to work around a bug
	with a specific ATI Radeon 9000 W2k driver.

2004-07-02 11:46  mortene

	* src/misc/SoContextHandler.cpp:
	
	Bugfix: crashed on destructingContext() if no callbacks had been
	set up.

2004-07-02 10:54  mortene

	* src/elements/GL/SoGLTextureImageElement.cpp:
	
	Clean-up: kill code for duplicated functionality.

2004-07-02 10:53  mortene

	* src/sensors/SoDataSensor.cpp:
	
	Bugfix: avoid dangling pointers.

2004-07-02 10:35  mortene

	* include/Inventor/events/SoKeyboardEvent.h, src/tidbits.c,
	src/base/SbName.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/engines/SoTimeCounter.cpp, src/misc/SoContextHandler.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoVertexProperty.cpp, src/sensors/SoDelayQueueSensor.cpp,
	src/sensors/SoFieldSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/shapenodes/SoFaceSet.cpp:
	
	Documentation updates.

2004-07-01 18:24  pederb

	* src/: misc/SoDB.cpp, nodes/SoFile.cpp:
	
	Test for eof() before trying to read garbage after last node.

2004-07-01 18:23  pederb

	* src/io/SoInput.cpp:
	
	SoInput::read(SbString) bugfix. Don't fetch SoInput_FileInfo before
	calling checkHeader(). FileInfo might be popped.

2004-07-01 17:53  pederb

	* src/io/SoInput.cpp:
	
	Fix for recently introduced crash-bug when trying to read a string
	from a file at eof.

2004-07-01 13:45  mortene

	* src/misc/SoContextHandler.cpp:
	
	Various fixes: avoid mem-leak, be more lenient towards client code,
	improve API documentation.

2004-07-01 10:51  jornskaa

	* src/io/SoInput.cpp:
	
	Code cleanup for readability

2004-07-01 10:32  jornskaa

	* src/io/SoInput.cpp:
	
	Minor fix for getHeader

2004-07-01 10:22  jornskaa

	* src/io/SoInput.cpp:
	
	Fixed stacking-problem with stdin: bug 101, and added sanity checks
	to prevent segmentation fault..

2004-07-01 09:31  jornskaa

	* src/: io/SoInput_FileInfo.cpp, misc/SoDB.cpp, nodes/SoFile.cpp:
	
	The uncovered bug with '\0' characters returning from SoInput has
	been fixed, and SoDB and SoFile have been corrected again

2004-07-01 09:02  mortene

	* src/fields/: Makefile.am, SoField.cpp, SoMFBool.cpp,
	SoMFColor.cpp, SoMFEnum.cpp, SoMFFloat.cpp, SoMFMatrix.cpp,
	SoMFName.cpp, SoMFPlane.cpp, SoMFRotation.cpp, SoMFShort.cpp,
	SoMFString.cpp, SoMFTime.cpp, SoMFUInt32.cpp, SoMFUShort.cpp,
	SoMFVec2f.cpp, SoMFVec3d.cpp, SoMFVec3f.cpp, SoMFVec4f.cpp,
	SoSFBitMask.cpp, SoSFBool.cpp, SoSFBox3s.cpp, SoSFColor.cpp,
	SoSFEnum.cpp, SoSFFloat.cpp, SoSFImage.cpp, SoSFImage3.cpp,
	SoSFInt32.cpp, SoSFMatrix.cpp, SoSFName.cpp, SoSFPlane.cpp,
	SoSFRotation.cpp, SoSFShort.cpp, SoSFString.cpp, SoSFTime.cpp,
	SoSFUInt32.cpp, SoSFUShort.cpp, SoSFVec2f.cpp, SoSFVec2s.cpp,
	SoSFVec3d.cpp, SoSFVec3f.cpp, SoSFVec3s.cpp, SoSFVec4f.cpp,
	all-fields-cpp.cpp, shared.cpp, shared.h:
	
	Clean-ups: better sharing of common code.

2004-06-30 18:38  larsa

	* src/caches/normalcache_numcoords_hack.cpp:
	
	64-bit compilation fix

2004-06-30 17:36  larsa

	* THANKS:
	
	credit for 64-bit asistance

2004-06-30 17:34  larsa

	* src/fonts/freetype.c:
	
	type cast fixes

2004-06-30 16:49  larsa

	* README.WIN32:
	
	update on some utilities

2004-06-30 16:31  larsa

	* src/base/heap.c:
	
	cast to correct type

2004-06-30 15:22  pederb

	* src/threads/rwmutex.c:
	
	SbRWMutex bugfix. By  Frank Lindeman.

2004-06-30 14:37  mortene

	* README.WIN32:
	
	Info about CL and LINK envvars.

2004-06-30 13:51  jornskaa

	* src/nodes/SoFile.cpp:
	
	Wrong update earlier for SoFile. This corrects it

2004-06-30 13:45  jornskaa

	* src/: misc/SoDB.cpp, nodes/SoFile.cpp:
	
	Added check to see if strings have length > 0, so that in-memory
	files are read properly

2004-06-30 13:24  larsa

	* src/misc/systemsanity.icc:
	
	more error information

2004-06-30 12:18  pederb

	* src/fields/SoField.cpp:
	
	SoField::connectFrom() bugfix. Don't ignore/reset notnotify flag
	when field converter is used.

2004-06-30 12:13  jornskaa

	* src/: misc/SoDB.cpp, nodes/SoFile.cpp:
	
	Fixed bug 093; crash upon faulty iv-file using SoFile. Now writes
	warning message

2004-06-30 11:10  larsa

	* src/nodes/SoCamera.cpp:
	
	doc typo fix

2004-06-29 18:13  larsa

	* src/: elements/GL/SoGLLazyElement.cpp, fields/SoSFInt32.cpp:
	
	tricky argument resolve casts

2004-06-29 11:35  pederb

	* src/vrml97/AudioClip.cpp:
	
	Plug recently introduced memory leak.

2004-06-29 10:47  mortene

	* THANKS:
	
	Adds Juergen Wehr for bug reports and general helpfulness.

2004-06-29 10:45  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Bugfix: getUserData() could give bogus results. Reported by Juergen
	Wehr.

2004-06-29 10:27  mortene

	* src/base/hash.c:
	
	Minor consistency fix: function signature uses SbBool, not int.

2004-06-28 22:32  kyrah

	* configure.ac:
	
	Tiger support.

2004-06-28 18:30  pederb

	* src/vrml97/: AudioClip.cpp, Sound.cpp:
	
	Bugfixes. Avoid static instances of classes.

2004-06-28 17:06  jornskaa

	* src/engines/: evaluator.h, evaluator.l, evaluator.y,
	evaluator_tab.c, so_eval.ic:
	
	Fixed bug097; SoCalculator parseerror

2004-06-28 17:05  jornskaa

	* src/engines/so_eval.diff:
	
	Patch for compile fix

2004-06-25 15:19  jornskaa

	* src/misc/SoGLqmeshpreciselightingTemplate.icc:
	
	Added copyright message

2004-06-25 15:11  pederb

	* src/caches/normalcache_numcoords_hack.cpp:
	
	compile fix.

2004-06-25 15:07  jornskaa

	* src/: shapenodes/SoIndexedFaceSet.cpp,
	shapenodes/SoIndexedTriangleStripSet.cpp,
	shapenodes/SoQuadMesh.cpp, vrml97/IndexedFaceSet.cpp:
	
	Bugfix and robustness update for SoNormalCache

2004-06-25 15:05  jornskaa

	* src/misc/: SoGLTristripTemplate.icc, SoGLqmeshTemplate.icc,
	SoGLqmeshpreciselightingTemplate.icc:
	
	Robustness update

2004-06-25 15:03  jornskaa

	* src/caches/: normalcache_numcoords_hack.cpp,
	normalcache_numcoords_hack.h, Makefile.am, all-caches-cpp.cpp,
	SoNormalCache.cpp:
	
	Bugfix and robustness update for SoNormalCache

2004-06-25 12:12  mortene

	* src/base/SbTime.cpp:
	
	Doc: a reminder on the difference between format() and
	formatDate(), by preng.

2004-06-25 10:06  mortene

	* src/base/SbTime.cpp:
	
	API doc: clarification.

2004-06-24 18:17  jornskaa

	* src/: misc/SoBase.cpp, io/SoInput.cpp, fields/SoField.cpp:
	
	Fixed parsing bug and cleaned up the code

2004-06-24 16:47  larsa

	* NEWS:
	
	tweak

2004-06-24 16:42  larsa

	* docs/announcement-2_3_0.txt:
	
	final changes

2004-06-24 15:30  kyrah

	* NEWS:
	
	Forgot to mention the sensor handling and realtime field fixes.

2004-06-24 11:50  mortene

	* FAQ:
	
	Sync with dev branch version.

2004-06-24 11:28  mortene

	* FAQ:
	
	Update information about volume rendering.

2004-06-24 11:15  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Improved doc.

2004-06-24 10:58  thammer

	* src/shapenodes/SoAsciiText.cpp:
	
	Bugfix for right-aligned text

2004-06-23 17:43  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Bugfix for VRML group nodes in node kits. Bug reported by Duncan
	Soutar.

2004-06-23 11:54  mortene

	* src/misc/SoOffscreenInternalData.h:
	
	Workaround for OpenGL driver bug: ATI Radeon 9000 Win2000 driver
	would cause a system hang if we do glReadPixels() without flushing
	the GL pipeline.

2004-06-23 11:08  pederb

	* src/vrml97/Sensor.cpp:
	
	Fix UMR bug.

2004-06-23 10:50  pederb

	* include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h:
	
	Fix erroneous inherited typedef.

2004-06-22 17:44  kyrah

	* packaging/macosx/: inst-dmg-files/.VolumeIcon.icns,
	noinst-dmg-files/.VolumeIcon.icns:
	
	Use updated artwork (new Coin logo).

2004-06-22 14:37  larsa

	* configure.ac:
	
	version is 2.3.1a

